GNU bug report logs - #53207
28.0.91; create-lockfiles nil breaks file change detection

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Jay Berkenbilt" <ejb@HIDDEN>; dated Wed, 12 Jan 2022 14:31:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 53207 <at> debbugs.gnu.org:


Received: (at 53207) by debbugs.gnu.org; 15 Jan 2022 09:24:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 04:24:26 2022
Received: from localhost ([127.0.0.1]:38995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8fIP-0005Vh-ST
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 04:24:26 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44892)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1n8fIM-0005VQ-4U
 for 53207 <at> debbugs.gnu.org; Sat, 15 Jan 2022 04:24:24 -0500
Received: from [2001:470:142:3::e] (port=53226 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n8fIG-0001T6-J8; Sat, 15 Jan 2022 04:24:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=EXr8+f93qegaO0kO8iWny46KKW65J5SzPcKFYiLyDBU=; b=fEIBVIFIQRbw
 4xHEEKsqYKw19j4ZvaNIKr6B9dd1cRAIo7PldGVQezkvUDFjbMCJBYRtYzqgHHOBMgGm3DbUxSxZJ
 mUO53ZHxqJvHKw6UeGMa+nOkqwAw4Fm12EqnefvK3Gn2iOzUHs59l9k/U4z/JW4bUTpjS5E5lLyS0
 359gGIYPyoHC1IXxVAauKVyUIyG16T7qi09xyishMbAZ5v9Xrxtqi6fEAH3xbgjgiLGo/5WW5EQjL
 aTws1uAYdYeD2Q9qxOdPje0Gq0z9jGZ6xF4VFk2F1LptqArdNv90JJRjsUy+drUtBLGgWJIeY3WzY
 VQvqexTs3mH57aRndmjm6w==;
Received: from [87.69.77.57] (port=3302 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n8fIF-0005GC-7c; Sat, 15 Jan 2022 04:24:15 -0500
Date: Sat, 15 Jan 2022 11:23:58 +0200
Message-Id: <837db11he9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87v8ylmnie.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sat, 
 15 Jan 2022 09:06:17 +0100)
Subject: Re: bug#53207: 28.0.91; create-lockfiles nil breaks file change
 detection
References: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
 <ttk0f4ddpn.fsf@HIDDEN> <83sftr3nyx.fsf@HIDDEN>
 <df3d43c9-31ba-442b-b694-f86fcccb2726@HIDDEN>
 <83h7a73fab.fsf@HIDDEN>
 <b2fdb89f-e79b-4d37-be32-bd233e49282f@HIDDEN>
 <87fspqz94l.fsf@HIDDEN> <rtue6l2l0.fsf@HIDDEN>
 <87v8ylmnie.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53207
Cc: rgm@HIDDEN, ejb@HIDDEN, michael.albinus@HIDDEN, 53207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Michael Albinus <michael.albinus@HIDDEN>,  "Jay Berkenbilt"
>  <ejb@HIDDEN>,  "Eli Zaretskii" <eliz@HIDDEN>,  53207 <at> debbugs.gnu.org
> Date: Sat, 15 Jan 2022 09:06:17 +0100
> 
> Glenn Morris <rgm@HIDDEN> writes:
> 
> > Was it functionally necessary for the addition of lock file transforms
> > to break the create-lockfiles nil case? If not, why isn't restoring the
> > functionality being considered?
> 
> Oh, is this a fallout from introducing `lock-file-name-transforms'?

No, I think this change was introduced by support for locking remote
files.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.

Message received at 53207 <at> debbugs.gnu.org:


Received: (at 53207) by debbugs.gnu.org; 15 Jan 2022 08:16:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 03:16:26 2022
Received: from localhost ([127.0.0.1]:38887 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8eEb-0006i6-U4
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 03:16:26 -0500
Received: from quimby.gnus.org ([95.216.78.240]:46310)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n8eEZ-0006bi-IL
 for 53207 <at> debbugs.gnu.org; Sat, 15 Jan 2022 03:16:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=iIfLk3sJ5Pm0nI/3xo4gwOkS4l3mti750OUg1furmKE=; b=rdcjFZJ5HEbuxPpMDQ1lhj6Ye3
 3N/iMB3JVAYZA9pCsgHk4XdttdMVEeuCJd48nEroPilmwa4gHjUotOsD9138HnK8GR512zF2Ki9fQ
 BeRZsTPbKrXw6bpiuL20zfTGb7j3hclKAFzEmrLHS6AuntFwYrMIT8M62oWnWDyfBbj4=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1n8eEP-0002WQ-M9; Sat, 15 Jan 2022 09:16:16 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#53207: 28.0.91; create-lockfiles nil breaks file change
 detection
References: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
 <ttk0f4ddpn.fsf@HIDDEN> <83sftr3nyx.fsf@HIDDEN>
 <df3d43c9-31ba-442b-b694-f86fcccb2726@HIDDEN>
 <83h7a73fab.fsf@HIDDEN>
 <b2fdb89f-e79b-4d37-be32-bd233e49282f@HIDDEN>
 <87fspqz94l.fsf@HIDDEN> <rtue6l2l0.fsf@HIDDEN>
 <87v8ylmnie.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEX16t2UXz5VNytR
 MSfWlGD////m+Z8KAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YBDwc6ESOcg9cAAAGmSURBVDjLdZTb
 ldwgEEQ1Pg7A1eoEGpyAwAGAhvxjcjWPmdGulg8diUv1G23bT+sRguH72rZf2VeMKaYc3qsM8LED
 +FPbVOScwuf6ACRk8QZwaQ1ul2e+AGjb55ErELTnPcgh3gKY5Xvwd7v1kXDcOz+qafcRXyB0YPWo
 h3iqF4BoNSNhZf5YdtqJlhureAEhVQep+S4/3wptDlAYVaL3V1SGilMJMPr2AiogKCi9JmkByxCK
 tLTy7ImsssdsvQn6e3v2jrxAMqNX4+cV0Kr6EGjZnqm3/wKApmVnGqvnKfY6AVFRxyzIBdRkkBA4
 eXPgOjiosA7GiP1xMJwwkwMCizw5Qc/J9jmr4l2IHQTXJBnVdN8cbwd8cw1m/aO3bZjqLcj/9nDA
 EHaXTuddcpzpAKpEl8aloIS7LHCtonsP95H6TZNgWhWtMZ/KnUIQ1r2rqmcvGQb4uJKl+tPbSYCv
 QOycpl62MEzRk4N1zUU8KEwnBKwpmydrR8RP1m7KeNZz5hWUKXcwNlkOsG/vMPxfMoaadrSId9zC
 jIqmAlXVFctW+fGv9B9uV6ECSnYrMwAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wMS0xNVQwNzo1
 ODoxNyswMDowMB4v7YEAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDEtMTVUMDc6NTg6MTcrMDA6
 MDBvclU9AAAAAElFTkSuQmCC
X-Now-Playing: Joni Mitchell's _Archives: The Early Years (3)_: "Eastern Rain"
Date: Sat, 15 Jan 2022 09:16:12 +0100
In-Reply-To: <87v8ylmnie.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 15 Jan 2022 09:06:17 +0100")
Message-ID: <87mtjxmn1v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > Oh, is this a
 fallout from introducing `lock-file-name-transforms'? > Then changing the
 semantics of `create-lockfiles' was not intended, and > the previous semantics
 should be restored. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53207
Cc: Jay Berkenbilt <ejb@HIDDEN>, Michael Albinus <michael.albinus@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, 53207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Oh, is this a fallout from introducing `lock-file-name-transforms'?
> Then changing the semantics of `create-lockfiles' was not intended, and
> the previous semantics should be restored.

(I thought this was about not being asked for supersession when doing a
"touch" on the file (without modifying it), but that change was
intended.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.

Message received at 53207 <at> debbugs.gnu.org:


Received: (at 53207) by debbugs.gnu.org; 15 Jan 2022 08:06:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 03:06:29 2022
Received: from localhost ([127.0.0.1]:38877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8e4z-00059x-Ox
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 03:06:29 -0500
Received: from quimby.gnus.org ([95.216.78.240]:46252)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n8e4x-00059f-Jd
 for 53207 <at> debbugs.gnu.org; Sat, 15 Jan 2022 03:06:28 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=JY/gQX5uPKVsuxidgWkB9mt4MRQhm3Xnn6h3ZxQqQ1I=; b=psvgCoJ/n6W7w9NVkgDWDJ8nMI
 7G3Idfx2MP/BjmNwYEKx4Z9uhfOnOlL8qXllm2NPcTF8geoGKCtO4T1tNtS2ByMxZw2sTJh0d++6F
 DhfyQTnKTO2GD0S4KSzEqVdQKQF9be4UeRizBmepB3GzVgbKYSlitFt+3NRpSAlABK1I=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1n8e4o-0002RR-Jz; Sat, 15 Jan 2022 09:06:21 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#53207: 28.0.91; create-lockfiles nil breaks file change
 detection
References: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
 <ttk0f4ddpn.fsf@HIDDEN> <83sftr3nyx.fsf@HIDDEN>
 <df3d43c9-31ba-442b-b694-f86fcccb2726@HIDDEN>
 <83h7a73fab.fsf@HIDDEN>
 <b2fdb89f-e79b-4d37-be32-bd233e49282f@HIDDEN>
 <87fspqz94l.fsf@HIDDEN> <rtue6l2l0.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEX16t2UXz5VNytR
 MSfWlGD////m+Z8KAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YBDwc6ESOcg9cAAAGmSURBVDjLdZTb
 ldwgEEQ1Pg7A1eoEGpyAwAGAhvxjcjWPmdGulg8diUv1G23bT+sRguH72rZf2VeMKaYc3qsM8LED
 +FPbVOScwuf6ACRk8QZwaQ1ul2e+AGjb55ErELTnPcgh3gKY5Xvwd7v1kXDcOz+qafcRXyB0YPWo
 h3iqF4BoNSNhZf5YdtqJlhureAEhVQep+S4/3wptDlAYVaL3V1SGilMJMPr2AiogKCi9JmkByxCK
 tLTy7ImsssdsvQn6e3v2jrxAMqNX4+cV0Kr6EGjZnqm3/wKApmVnGqvnKfY6AVFRxyzIBdRkkBA4
 eXPgOjiosA7GiP1xMJwwkwMCizw5Qc/J9jmr4l2IHQTXJBnVdN8cbwd8cw1m/aO3bZjqLcj/9nDA
 EHaXTuddcpzpAKpEl8aloIS7LHCtonsP95H6TZNgWhWtMZ/KnUIQ1r2rqmcvGQb4uJKl+tPbSYCv
 QOycpl62MEzRk4N1zUU8KEwnBKwpmydrR8RP1m7KeNZz5hWUKXcwNlkOsG/vMPxfMoaadrSId9zC
 jIqmAlXVFctW+fGv9B9uV6ECSnYrMwAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wMS0xNVQwNzo1
 ODoxNyswMDowMB4v7YEAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDEtMTVUMDc6NTg6MTcrMDA6
 MDBvclU9AAAAAElFTkSuQmCC
X-Now-Playing: Joni Mitchell's _Archives: The Early Years (3)_: "Winter Lady
 (Live at The 2nd Fret, Philadelphia, PA, 3-17-1967)"
Date: Sat, 15 Jan 2022 09:06:17 +0100
In-Reply-To: <rtue6l2l0.fsf@HIDDEN> (Glenn Morris's message of
 "Fri, 14 Jan 2022 11:11:23 -0500")
Message-ID: <87v8ylmnie.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Glenn Morris <rgm@HIDDEN> writes: > Was it functionally
 necessary
 for the addition of lock file transforms > to break the create-lockfiles
 nil case? If not, why isn't restoring the > functionality being considered?
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53207
Cc: Jay Berkenbilt <ejb@HIDDEN>, Michael Albinus <michael.albinus@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, 53207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Glenn Morris <rgm@HIDDEN> writes:

> Was it functionally necessary for the addition of lock file transforms
> to break the create-lockfiles nil case? If not, why isn't restoring the
> functionality being considered?

Oh, is this a fallout from introducing `lock-file-name-transforms'?
Then changing the semantics of `create-lockfiles' was not intended, and
the previous semantics should be restored.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.

Message received at 53207 <at> debbugs.gnu.org:


Received: (at 53207) by debbugs.gnu.org; 14 Jan 2022 16:44:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 14 11:44:42 2022
Received: from localhost ([127.0.0.1]:37966 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8Pgw-0006E9-0e
	for submit <at> debbugs.gnu.org; Fri, 14 Jan 2022 11:44:42 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58502)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1n8Pgu-0006Dv-EL
 for 53207 <at> debbugs.gnu.org; Fri, 14 Jan 2022 11:44:40 -0500
Received: from [2001:470:142:3::e] (port=45586 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n8Pgo-00043V-Tc; Fri, 14 Jan 2022 11:44:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=XyixSwGNlAgSfScRFd1B+hA8jREGC1sSjEbC6VAyGAw=; b=cxya7y/DkH9q
 RzzzlH2UZ8LS58Rh14+Eg5P7G4/Ut5bFjNlNkTZOhTltbNq1RL7IKCARby9p4evtnzkdP27gZb5rj
 YLddoPYThPgMoKXCnemH0zUrL2oBj7GI+2XJq6dVfS9iL3yxsVdAW7i1X32SsNdtI1UHLX/44CCsV
 RxM7t58cVRb8ms/rRKlOgadctQEOje7YCR/RzCwSwyfNElsalWRY64nj9DLwaSXxNR8bhUJWs7V1r
 MCfTusJWE+fu5E1vYdyNJiq12Uak4Ah98cFigXOU4Xb3Kr9PJA2xCs6wzplTqR27MpYhizCtjrzrR
 raiX2d/tRXsfs43YEkQYig==;
Received: from [87.69.77.57] (port=2050 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n8Pgm-00081j-NS; Fri, 14 Jan 2022 11:44:33 -0500
Date: Fri, 14 Jan 2022 18:44:26 +0200
Message-Id: <83k0f21d3p.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
In-Reply-To: <rtue6l2l0.fsf@HIDDEN> (message from Glenn Morris on
 Fri, 14 Jan 2022 11:11:23 -0500)
Subject: Re: bug#53207: 28.0.91;
 create-lockfiles nil breaks file change detection
References: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
 <ttk0f4ddpn.fsf@HIDDEN> <83sftr3nyx.fsf@HIDDEN>
 <df3d43c9-31ba-442b-b694-f86fcccb2726@HIDDEN>
 <83h7a73fab.fsf@HIDDEN>
 <b2fdb89f-e79b-4d37-be32-bd233e49282f@HIDDEN>
 <87fspqz94l.fsf@HIDDEN> <rtue6l2l0.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53207
Cc: ejb@HIDDEN, michael.albinus@HIDDEN, larsi@HIDDEN, 53207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Glenn Morris <rgm@HIDDEN>
> Cc: "Jay Berkenbilt" <ejb@HIDDEN>,  "Eli Zaretskii" <eliz@HIDDEN>,  "Lars Ingebrigtsen" <larsi@HIDDEN>,  53207 <at> debbugs.gnu.org
> Date: Fri, 14 Jan 2022 11:11:23 -0500
> 
> why isn't restoring the functionality being considered?

It was mentioned as one of the two possible solutions, so it is being
considered.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.

Message received at 53207 <at> debbugs.gnu.org:


Received: (at 53207) by debbugs.gnu.org; 14 Jan 2022 16:11:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 14 11:11:40 2022
Received: from localhost ([127.0.0.1]:37915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8PAy-0005GH-6J
	for submit <at> debbugs.gnu.org; Fri, 14 Jan 2022 11:11:40 -0500
Received: from eggs.gnu.org ([209.51.188.92]:46186)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1n8PAs-0005Fv-Vz
 for 53207 <at> debbugs.gnu.org; Fri, 14 Jan 2022 11:11:38 -0500
Received: from [2001:470:142:3::e] (port=44526 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rgm@HIDDEN>)
 id 1n8PAj-00060E-AL; Fri, 14 Jan 2022 11:11:29 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=hkB54uUG5bF4c427QN0vYl92cTr25OEWlamyU7sFR38=; b=O+ezmcf85kpaFC/TKira
 rS+Fwg2lAed+an6qKpMFI5Ieka1QjpRaLOLEH4bHR95IdcYr8895Q6E260Y2lD1SsKWAknzeApxx1
 Us4xvba6uV0K0jVoyagftJHadJyX+B67vr0XuhrGkI7ppyztpDXw1GMMQBNuOMUbKVIuGl8rvWMSf
 E2GS8OjC0OM9agzsLUtE0qCw+ON1QFAtYB8BTU7mE4B3D3aePICqKpOHSGop3FYn75PbZZj0FE2RS
 2NA3r75KC05W8YZ7IQCLHxJEnlGXTow4q7hvoAYDfXnI32BSmC/lUlGJgWGDEGpuTKEN+Uo+lp6Vw
 3BbeWqeOLHHBcQ==;
Received: from rgm by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1n8PAh-0005n0-DW; Fri, 14 Jan 2022 11:11:23 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#53207: 28.0.91;
 create-lockfiles nil breaks file change detection
References: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
 <ttk0f4ddpn.fsf@HIDDEN> <83sftr3nyx.fsf@HIDDEN>
 <df3d43c9-31ba-442b-b694-f86fcccb2726@HIDDEN>
 <83h7a73fab.fsf@HIDDEN>
 <b2fdb89f-e79b-4d37-be32-bd233e49282f@HIDDEN>
 <87fspqz94l.fsf@HIDDEN>
X-Spook: Homeland Defense National Operations Center Botnet Ron
X-Ran: %DRl(!aw^lzGT*7RrH7"L*<E)]_zT8"[6xJ<[DN1\v^.oulcq]rnN3qQ/=o/tBWH_)5k]F
X-Hue: brightmagenta
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 14 Jan 2022 11:11:23 -0500
In-Reply-To: <87fspqz94l.fsf@HIDDEN> (Michael Albinus's message of "Fri, 14
 Jan 2022 15:26:18 +0100")
Message-ID: <rtue6l2l0.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 53207
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Jay Berkenbilt <ejb@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, 53207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)


I find this report very clear (in both recipe and explaining motivation),
but I'm struggling to understand some of the responses to it.

Was it functionally necessary for the addition of lock file transforms
to break the create-lockfiles nil case? If not, why isn't restoring the
functionality being considered?

Conceptually, it is hard for me to see why lockfiles (a system for
detecting editing collisions between Emacs instances) should be tied up
with detecting changes made outside of Emacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.

Message received at 53207 <at> debbugs.gnu.org:


Received: (at 53207) by debbugs.gnu.org; 14 Jan 2022 14:43:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 14 09:43:34 2022
Received: from localhost ([127.0.0.1]:35991 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8Nni-0008OY-2z
	for submit <at> debbugs.gnu.org; Fri, 14 Jan 2022 09:43:34 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55356)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1n8Nnd-0008OF-4C
 for 53207 <at> debbugs.gnu.org; Fri, 14 Jan 2022 09:43:32 -0500
Received: from [2001:470:142:3::e] (port=42128 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n8NnX-0000IU-GD; Fri, 14 Jan 2022 09:43:23 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=/Hm8lnSIDQc1hBoxYOtEm9+iQ99V48TIwoY/TwdNwH0=; b=ao1iBxNvKMZuq6wKf/it
 2I1sX2OF1DCh2rBOEksueu00ukeONnP+P2ONT6pj7Mx+qVk+K/MRStE5dzsEEidCoY3RR8KYYhYcM
 Uamk5QTadGQIINhn0iyprkblrUXfC6zKO9EC1oKDroJqNsXk5lRj7eKKlkmaS4DsQnwidC2/RY74n
 L+S+JT+KNy9TzIFqc1+qEIiRi5nd9hnhvkKAeNXZF1dn4t29yJB+UWSHVLUH6DsO3tXrquAULyUvy
 TQQJNv0GqSJEq1FPbOJlu+yxL2SsVNj7oEcbb2Z1hqxHXA0449PAD2ySjHuHa2vPSX4AvBEYWA9mL
 CShuKuX7qOH2Nw==;
Received: from [87.69.77.57] (port=2635 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n8NnX-0002yB-H1; Fri, 14 Jan 2022 09:43:23 -0500
Date: Fri, 14 Jan 2022 16:43:22 +0200
Message-Id: <83mtjy1iph.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
In-Reply-To: <87fspqz94l.fsf@HIDDEN> (message from Michael Albinus on Fri, 14
 Jan 2022 15:26:18 +0100)
Subject: Re: bug#53207: 28.0.91; create-lockfiles nil breaks file change
 detection
References: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
 <ttk0f4ddpn.fsf@HIDDEN> <83sftr3nyx.fsf@HIDDEN>
 <df3d43c9-31ba-442b-b694-f86fcccb2726@HIDDEN>
 <83h7a73fab.fsf@HIDDEN>
 <b2fdb89f-e79b-4d37-be32-bd233e49282f@HIDDEN>
 <87fspqz94l.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53207
Cc: rgm@HIDDEN, ejb@HIDDEN, larsi@HIDDEN, 53207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: "Eli Zaretskii" <eliz@HIDDEN>,  "Glenn Morris" <rgm@HIDDEN>,  "Lars
>  Ingebrigtsen" <larsi@HIDDEN>,  53207 <at> debbugs.gnu.org
> Date: Fri, 14 Jan 2022 15:26:18 +0100
> 
> So it checks also the owner of the lock file. This makes only sense, if
> create-lockfiles is non-nil; otherwise there is no lock file owner ...
> 
> I agree with Eli, that the current behavior in Emacs 28 is
> consistent. Since this is an incompatible change, we shall document
> it. The Emacs 28 manual says
> 
> --8<---------------cut here---------------start------------->8---
>    You can prevent the creation of lock files by setting the variable
> ‘create-lockfiles’ to ‘nil’.  *Caution:* by doing so you will lose the
> benefits that this feature provides.
> --8<---------------cut here---------------end--------------->8---
> 
> Maybe it shall be more explicit saying, that also detection of changing
> the modification time is lost when create-lockfiles is nil.

We should say there that setting the variable to nil disables the
entire editing collision detection, not just creation of the lock
files.

> etc/NEWS is silent about this, it should explain this subtle change as well.

Right.  Assuming we agree with the current behavior.

Lars, WDYT?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.

Message received at 53207 <at> debbugs.gnu.org:


Received: (at 53207) by debbugs.gnu.org; 14 Jan 2022 14:26:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 14 09:26:34 2022
Received: from localhost ([127.0.0.1]:35975 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8NXF-0007uM-7F
	for submit <at> debbugs.gnu.org; Fri, 14 Jan 2022 09:26:33 -0500
Received: from mout.gmx.net ([212.227.15.15]:32885)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1n8NXB-0007u0-Dv
 for 53207 <at> debbugs.gnu.org; Fri, 14 Jan 2022 09:26:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1642170380;
 bh=PMqgfV/AlzoEHwAiRhGPFkHjWEHwW/nvAMc9WgnBD60=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=BOtr8Gzzh2+6HyQRJ4FQldUW4DVzh1hQIcg34QkAnMf0OcB0l6GbP/9eJPtSBZpmP
 2JQVSgluh0ky5F5/rpreo6uXKikXMjBikOBpH1vfGusTCQNKEOKyhOU58OpRYBmOUQ
 9DwbXmf50Q8lNNiTFxQOeFqKzeLEBJSI/ewTJ0iE=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([79.140.118.160]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1M72oH-1nGMx23ixz-008aWu; Fri, 14
 Jan 2022 15:26:20 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: "Jay Berkenbilt" <ejb@HIDDEN>
Subject: Re: bug#53207: 28.0.91; create-lockfiles nil breaks file change
 detection
References: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
 <ttk0f4ddpn.fsf@HIDDEN> <83sftr3nyx.fsf@HIDDEN>
 <df3d43c9-31ba-442b-b694-f86fcccb2726@HIDDEN>
 <83h7a73fab.fsf@HIDDEN>
 <b2fdb89f-e79b-4d37-be32-bd233e49282f@HIDDEN>
Date: Fri, 14 Jan 2022 15:26:18 +0100
In-Reply-To: <b2fdb89f-e79b-4d37-be32-bd233e49282f@HIDDEN> (Jay
 Berkenbilt's message of "Thu, 13 Jan 2022 10:47:21 -0500")
Message-ID: <87fspqz94l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:1OYW+gyltftKVVAzTUnn4JQMlItsbwZ24B0AOXtcsLmh5HtNAbu
 bWGKS7YkV5MWtetGNuUBFwk/E1+hPrcxLsO0wMZUJFJG11UiI+o7zOD9hW6+PJxnN46YEou
 tJCnXJffnSkh5ko6boMvPk7D4VJ3H2moKA4egtzB7ZVn5wgBSazX2BYtlwiTK9Bdn892XsQ
 +Auiha2iigTtZfWr/ORmw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:+GvkJrTmFmk=:Ja23IA2mdc40NV4HBJ2B9U
 jS213nuVG2ejsPKKidkzij/er3zQnnOIc7MfjfdKiD3iocJGLXRJ2g+r0e2/sOmMleOTPYS64
 9uO9zc/Fu+hcgQwx0irP8tKi9BraKGEjwcxsSgxcm6e5pJFwZw2TxqfgcO3En0Ih7QGG5Urbp
 xGvT9FPanNe8Zoxh1LMSKup1A8kX9RMHX/q9UapOoneCtPZOb/v6ao6j6Rh6obc2D6ExkLmXA
 tr0+BmKqDhuhfg+130ybq8SAtBbPyG3yu09d2uwNesT9wjIIpsBk8/ZpkiErnt0A0q7viUMyx
 UwPp5+GPD+O2LPHyaz5VyiicnpafBjHlFKSQEXBAJQAnyFVOxqF1s0zNtjysSnjiYJRi7fWuG
 gaASNwn3MkfjjfSUgYrcT8flXVDWq/UrBB+z0dIjFSdmy5s5dDqr7zP3DACcdVhI0C0+NjcKW
 dYSYSKLaa/wQT2ZTB13crdCKtAAUgfhnajGtJwSBLrBYlJoWKg6XihisXPZvyXlpFAr/pRvq2
 3Cjo+QWJRJMRBGeZicb7COtXG12mvY5b3a/Ty9fLaO04q15oOcchH5SBJhxunGSZrytZbwrQP
 O7F3oFBPxpH/WnrEUU4AwfWSXPfrYefbIt0jJEbIE42pgdmZW9JF8ssmmLvmaqTL9DwzL8ohG
 1a97TWjesjuV9Qs+hxKjlqcU8LtMmryKz/FrtoIzQKwKPrS2Im6zDPUlSI8mzEx0nkCgxlkOj
 nZoBA+NgXv+GMYQJU+RJEh7eVRPt+6RKxDRIc2Q82+ufY1y5KDRt4g6lXS8kruL3zuzgzvHHb
 SgMlwR0xpWj64Utw9xn2c903H8TjMZtPMMZUXI2/zmj56St42obXjGO4FUkuSMGTVBkMUv8wK
 pPjS/NohgNajNf2YtPaC4U0+ZkPF1MkO5OcUKJfCK93UVZqEdInSkg1S8lZXsBq41ovyrDEcK
 alAN7hg6XdqzQbpowf88177o52bvgAPuKvnzgQ818krRoBQ3jSYDu4CTklZG8XlGUH90DVbJb
 1QA/jCxPlrC0OQOEf95SHFOAfZukmZUoX6R0xYdzpWtca1zx92lhbHk7FnQm1soFKeec8BWtt
 IvmY/6Py9hjzGg=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53207
Cc: Glenn Morris <rgm@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>, Lars
 Ingebrigtsen <larsi@HIDDEN>, 53207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

"Jay Berkenbilt" <ejb@HIDDEN> writes:

Hi Jay,

> On Thu, Jan 13, 2022, at 9:02 AM, Eli Zaretskii wrote:
>> > Date: Thu, 13 Jan 2022 08:11:34 -0500
>> > From: "Jay Berkenbilt" <ejb@HIDDEN>
>> > Cc: 53207 <at> debbugs.gnu.org
>> >=20
>> > For my edification, can you explain how the 27.2 behavior of noticing
>> > when a file's contents had changed immediately is not adequate without
>> > lockfiles?
>>=20
>> First, Emacs 27 wasn't looking at the file's contents, it was looking
>> at the file's modification time.
>
> My original recipe for reproducing the issue demonstrated that, after
> "touch file", you can continue editing freely and save, but after
> changing the contents, you can't. I don't remember when this first
> changed, maybe emacs 27 or 26. For ages before that, it was
> modification time. I remember noticing when updating the modtime
> without changing the content stopped triggering that. I was delighted.
>
> It is definitely the case that just updating the modification time on
> emacs 27.2 does not trigger this. You can try it. In emacs -Q, edit a
> file and save. From the shell, touch the file. No continue editing the
> file and save again. No warning. At least this is the case on my
> Ubuntu Linux 20.04 system with emacs compiled from source.

Same here. In lock_file of Emacs 27, there is the check

--8<---------------cut here---------------start------------->8---
    if (!NILP (subject_buf)
	&& NILP (Fverify_visited_file_modtime (subject_buf))
	&& !NILP (Ffile_exists_p (fn)))
      call1 (intern ("userlock--ask-user-about-supersession-threat"), fn);
--8<---------------cut here---------------end--------------->8---

It checks the file modification time. But then, if changed, it calls
userlock--ask-user-about-supersession-threat, which also checks the file
contents before warning. Therefore, a simple touch doesn't trigger the
user question.

>> > It seems to me that there are two separate issues here. A lock file
>> > would enable you to immediately notice if a user on a *different
>> > system* is in the process of editing a file and has unsaved changes.
>>=20
>> No, it also works when the same user on the same system edited the
>> file from another Emacs session.  That is a valid use case: some
>> people start more than a single Emacs session on the same system.
>
> Granted. Of course it doesn't protect against another very common use
> case, which is people opening the same file in emacs and
> simultaneously in something like VS Code or another IDE. I know
> developers that work this way day in and day out -- they use emacs for
> most of their editing but hop over to an IDE to take advantage of
> project-wide integrations, better test integration, a more advanced
> debugger, or better out-of-the-box functionality with their
> programming language or environment of choice. So lock files remain a
> solution that only works in an emacs-only environment, while noticing
> that the file's modification time has changed is universal, and
> noticing that a file's content has changed is a great advancement over
> just noticing modtime since it allows for workflows like git rebase.
>
>> > On the other hand, the other behavior I'm talking about allows you to
>> > notice immediately when you begin editing if the file on disk has
>> > become out of sync with the buffer contents.
>>=20
>> That part is done when you save the buffer.  It is unaffected by
>> create-lockfiles.
>
> It is also done when you start editing a buffer, as shown in my original
> message. Really. Try it.

Sure. That's because there's no visited file modification time yet for
that buffer.

In Emacs 28, the check above has been extended to

--8<---------------cut here---------------start------------->8---
  if (!NILP (subject_buf)
      && NILP (Fverify_visited_file_modtime (subject_buf))
      && !NILP (Ffile_exists_p (fn))
      && current_lock_owner (NULL, lfname) !=3D I_OWN_IT)
    call1 (intern ("userlock--ask-user-about-supersession-threat"), fn);
--8<---------------cut here---------------end--------------->8---

So it checks also the owner of the lock file. This makes only sense, if
create-lockfiles is non-nil; otherwise there is no lock file owner ...

I agree with Eli, that the current behavior in Emacs 28 is
consistent. Since this is an incompatible change, we shall document
it. The Emacs 28 manual says

--8<---------------cut here---------------start------------->8---
   You can prevent the creation of lock files by setting the variable
=E2=80=98create-lockfiles=E2=80=99 to =E2=80=98nil=E2=80=99.  *Caution:* by=
 doing so you will lose the
benefits that this feature provides.
--8<---------------cut here---------------end--------------->8---

Maybe it shall be more explicit saying, that also detection of changing
the modification time is lost when create-lockfiles is nil.

etc/NEWS is silent about this, it should explain this subtle change as well.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.

Message received at 53207 <at> debbugs.gnu.org:


Received: (at 53207) by debbugs.gnu.org; 13 Jan 2022 15:48:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 10:48:17 2022
Received: from localhost ([127.0.0.1]:34332 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n82Kn-0007qO-IH
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 10:48:17 -0500
Received: from wout5-smtp.messagingengine.com ([64.147.123.21]:41753)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ejb@HIDDEN>) id 1n82Kj-0007q4-K3
 for 53207 <at> debbugs.gnu.org; Thu, 13 Jan 2022 10:48:16 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.west.internal (Postfix) with ESMTP id A714032020F6;
 Thu, 13 Jan 2022 10:48:06 -0500 (EST)
Received: from imap49 ([10.202.2.99])
 by compute1.internal (MEProxy); Thu, 13 Jan 2022 10:48:07 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ql.org; h=
 mime-version:message-id:in-reply-to:references:date:from:to:cc
 :subject:content-type; s=fm3; bh=lBeDn8+jhUSYT4x/0yg1syGzyTR8J7f
 DewwLZsu7z64=; b=b+58qgLWsDPskgauD+hU7UiC+AaSc15woqswV5dEFBkYxVb
 JByA76zeoSJ+pMxtK3KQGxADioMSVfrhW5dZHMZG0Yq2U4P7IKDidWUxlG54c+Sd
 nhjl0yZdvz93Kr1TrdyP5I0ug+fKy1qJnsj59eP1WtTXC5i+s/r6SCYSp6KHkYT5
 0asWs8cHR08ErlyJz/1ui3NktcyieCxUlI02QHU6LWBrZN4GRRDVCI4SVkxAFcF9
 rkOWMiCFQVQ5+M2ViRluWj4C9L+YX5sHfMH5BI8qMiwPgAjgEzVTImy7xh4y6DkG
 p2C4aSpxKEX3+wvAZOA3Fx/E7aq8mZHnsu2FxWg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=lBeDn8
 +jhUSYT4x/0yg1syGzyTR8J7fDewwLZsu7z64=; b=cjMZgs0XXLPm5GmZsB5+WK
 /KJMFPfLmJpAaYHHGfwalXBd4bmAs+WSZ6XIvAY7hoapNR0cCLJeqokD69IjrD1G
 cI555pk9771ORtazibov9G55fz9zRTtWR+yDMsXt/UtgKPUEUceMQwzz1B0o0xPi
 jKTDEx323k97b5puVZMhN1B8+YeWx/wmR3C0WaIXT9dd4hDmT/66zHyDJVC7Fsoy
 sYbZABQoyoq5PNhx0b7w0MSY86V29FBev5PMHzRR7DisVwyWpGyKw1Aq7GkugoWN
 geIDsdth5aoKy79tMEtiCkDSDSLJNYWQB/emEKW5CAsAW5m1RdvNjfzcVdUwypsA
 ==
X-ME-Sender: <xms:tUngYQWYr0BErPHu2x-cD8W4FV8aTOKPSHGoc7bupZx52C4kQa3FsQ>
 <xme:tUngYUlU6g_GzatXWbt6ENa0Z11yjme4zC1VSc8ZQWMVe6Ode1LZToZx-FV8hNiGD
 ZyXrvIiYcTUBjNSn6I>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvvddrtdefgdektdcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpefofgggkfgjfhffhffvufgtsehttdertderredtnecuhfhrohhmpedflfgrhicu
 uegvrhhkvghnsghilhhtfdcuoegvjhgssehqlhdrohhrgheqnecuggftrfgrthhtvghrnh
 ephedtvefhfedvfffgieefudehfefhudfhgeffgffftdevleffhedvvdehjeffueeknecu
 vehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomhepvghjsgesqh
 hlrdhorhhg
X-ME-Proxy: <xmx:tUngYUbRK0fiwuxrucqfDsze6t70bsIFwFaZv02qoc5NTE9mp4SPfA>
 <xmx:tUngYfVqGJF1A_0K-4RaoBSQXYPQgJXAaegz96bZET3UN0BKx-ailw>
 <xmx:tUngYalsnQOHm09BhipNU4n1hOm1V0A35azGoYQDhmnzhGBsWpgNTw>
 <xmx:tkngYfwFAKZWmzM9c1Cx0Tv3rBYZeCaQDU9YHBcT9kYQwayDJ8sdaw>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id 25291F60075; Thu, 13 Jan 2022 10:48:05 -0500 (EST)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-4569-g891f756243-fm-20220111.001-g891f7562
Mime-Version: 1.0
Message-Id: <b2fdb89f-e79b-4d37-be32-bd233e49282f@HIDDEN>
In-Reply-To: <83h7a73fab.fsf@HIDDEN>
References: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
 <ttk0f4ddpn.fsf@HIDDEN> <83sftr3nyx.fsf@HIDDEN>
 <df3d43c9-31ba-442b-b694-f86fcccb2726@HIDDEN>
 <83h7a73fab.fsf@HIDDEN>
Date: Thu, 13 Jan 2022 10:47:21 -0500
From: "Jay Berkenbilt" <ejb@HIDDEN>
To: "Eli Zaretskii" <eliz@HIDDEN>
Subject: Re: bug#53207: 28.0.91;
 create-lockfiles nil breaks file change detection
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53207
Cc: Glenn Morris <rgm@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>,
 Michael Albinus <michael.albinus@HIDDEN>, 53207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)



On Thu, Jan 13, 2022, at 9:02 AM, Eli Zaretskii wrote:
> > Date: Thu, 13 Jan 2022 08:11:34 -0500
> > From: "Jay Berkenbilt" <ejb@HIDDEN>
> > Cc: 53207 <at> debbugs.gnu.org
> > 
> > For my edification, can you explain how the 27.2 behavior of noticing
> > when a file's contents had changed immediately is not adequate without
> > lockfiles?
> 
> First, Emacs 27 wasn't looking at the file's contents, it was looking
> at the file's modification time.

My original recipe for reproducing the issue demonstrated that, after
"touch file", you can continue editing freely and save, but after
changing the contents, you can't. I don't remember when this first
changed, maybe emacs 27 or 26. For ages before that, it was
modification time. I remember noticing when updating the modtime
without changing the content stopped triggering that. I was delighted.

It is definitely the case that just updating the modification time on
emacs 27.2 does not trigger this. You can try it. In emacs -Q, edit a
file and save. From the shell, touch the file. No continue editing the
file and save again. No warning. At least this is the case on my
Ubuntu Linux 20.04 system with emacs compiled from source.

> > It seems to me that there are two separate issues here. A lock file
> > would enable you to immediately notice if a user on a *different
> > system* is in the process of editing a file and has unsaved changes.
> 
> No, it also works when the same user on the same system edited the
> file from another Emacs session.  That is a valid use case: some
> people start more than a single Emacs session on the same system.

Granted. Of course it doesn't protect against another very common use
case, which is people opening the same file in emacs and
simultaneously in something like VS Code or another IDE. I know
developers that work this way day in and day out -- they use emacs for
most of their editing but hop over to an IDE to take advantage of
project-wide integrations, better test integration, a more advanced
debugger, or better out-of-the-box functionality with their
programming language or environment of choice. So lock files remain a
solution that only works in an emacs-only environment, while noticing
that the file's modification time has changed is universal, and
noticing that a file's content has changed is a great advancement over
just noticing modtime since it allows for workflows like git rebase.

> > On the other hand, the other behavior I'm talking about allows you to
> > notice immediately when you begin editing if the file on disk has
> > become out of sync with the buffer contents.
> 
> That part is done when you save the buffer.  It is unaffected by
> create-lockfiles.

It is also done when you start editing a buffer, as shown in my original
message. Really. Try it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.

Message received at 53207 <at> debbugs.gnu.org:


Received: (at 53207) by debbugs.gnu.org; 13 Jan 2022 14:02:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 09:02:23 2022
Received: from localhost ([127.0.0.1]:60541 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n80gI-0001wq-TC
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 09:02:23 -0500
Received: from eggs.gnu.org ([209.51.188.92]:59680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1n80g8-0001wQ-PL
 for 53207 <at> debbugs.gnu.org; Thu, 13 Jan 2022 09:02:20 -0500
Received: from [2001:470:142:3::e] (port=44152 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n80g3-0001gf-5O; Thu, 13 Jan 2022 09:02:07 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=SM2ghtuWTGfqxTNvt28v0f9H26rOvyNJfVrCjbuZDRg=; b=RiC2iYVuU49u
 Xj73qGikrHFbHAX20nRw7G9yJemhlzYzP0cbxB2alRDz3MzLucfG6G6GOEiOK7/OrjWy3t9HHACdY
 1GmkLqO1aoDM4j+JkbqWm0PjBWuwaAXB7O1hTw7pLjDDRO7ug8oqE1N+OTeQXfRTE8PMrx0/52Tis
 AlF9sJ5CWNfH2zlGB3vSZ4hmvdHOb5fEGfJiA/ml9KsGMR07TDHJ//qxomOim6/dtQFmB1oX//91o
 pgycNVsNQaGZVMS+QLT+PZUBIZS5e7ce8kR+kWXlsjwwm8qxgX7i34k/i4SUvZ3dOzJWkNoZ/VYUS
 irHnpKIOD8yyKf95lWn6lw==;
Received: from [87.69.77.57] (port=3206 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n80g2-00018q-Uq; Thu, 13 Jan 2022 09:02:07 -0500
Date: Thu, 13 Jan 2022 16:02:04 +0200
Message-Id: <83h7a73fab.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Jay Berkenbilt" <ejb@HIDDEN>
In-Reply-To: <df3d43c9-31ba-442b-b694-f86fcccb2726@HIDDEN>
 (ejb@HIDDEN)
Subject: Re: bug#53207: 28.0.91;
 create-lockfiles nil breaks file change detection
References: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
 <ttk0f4ddpn.fsf@HIDDEN> <83sftr3nyx.fsf@HIDDEN>
 <df3d43c9-31ba-442b-b694-f86fcccb2726@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53207
Cc: rgm@HIDDEN, larsi@HIDDEN, michael.albinus@HIDDEN, 53207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 13 Jan 2022 08:11:34 -0500
> From: "Jay Berkenbilt" <ejb@HIDDEN>
> Cc: 53207 <at> debbugs.gnu.org
> 
> For my edification, can you explain how the 27.2 behavior of noticing
> when a file's contents had changed immediately is not adequate without
> lockfiles?

First, Emacs 27 wasn't looking at the file's contents, it was looking
at the file's modification time.

More to the point, the verification of the file's modification time
that is now disabled when create-lockfiles is nil is part of detecting
editing collisions, so when the user opts out of it, it makes sense
not to detect _any_ collisions, including those detectable by
verifying that the file wasn't modified since last visited or saved.
The use of lockfiles is an implementation detail, and the fact that we
only need it for 90% of the feature, not for 100%, is not significant
enough IMO.

> It seems to me that there are two separate issues here. A lock file
> would enable you to immediately notice if a user on a *different
> system* is in the process of editing a file and has unsaved changes.

No, it also works when the same user on the same system edited the
file from another Emacs session.  That is a valid use case: some
people start more than a single Emacs session on the same system.

> On the other hand, the other behavior I'm talking about allows you to
> notice immediately when you begin editing if the file on disk has
> become out of sync with the buffer contents.

That part is done when you save the buffer.  It is unaffected by
create-lockfiles.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.

Message received at 53207 <at> debbugs.gnu.org:


Received: (at 53207) by debbugs.gnu.org; 13 Jan 2022 13:24:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 08:24:21 2022
Received: from localhost ([127.0.0.1]:60490 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n805V-00070A-0Q
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 08:24:21 -0500
Received: from mail-oi1-f172.google.com ([209.85.167.172]:43616)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1n805T-0006zv-Lo
 for 53207 <at> debbugs.gnu.org; Thu, 13 Jan 2022 08:24:20 -0500
Received: by mail-oi1-f172.google.com with SMTP id s22so7576365oie.10
 for <53207 <at> debbugs.gnu.org>; Thu, 13 Jan 2022 05:24:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=6juimsxcmoSZrtliSxkI+7ucMr/5ZTjxPu98dadV8q0=;
 b=TCb5fvPGlwY9Q+KXPB/ok8gbXMLENSCUSq+7oKk9AUQRlPO5dIUYoTBjrDxmid/HRo
 sQz5G9hkTN6UbP9eiRZ8xmPjGy/4VsAJuV59ZCFZneogDL0dYW0ZFXRk8mJvmtNruJBS
 N2o9fxY5uHGiYniv8OmmGsqMww9zFqCQulTVcoIV/UJoRlO6oHj64f+ewI7RW4OyYV0l
 +9y0RWu5gla2rMAaARcO4oBYjC6KyXp17ZChP+m1Snjda5hPkmOFYgmqoZLE+kjIwxrL
 E83+iOHBcY1mj4ZAiUm68TKb8oulBH77caTAdEv8/zR+OhDOxmfdo2uTwysHuZ58dENG
 HxcQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=6juimsxcmoSZrtliSxkI+7ucMr/5ZTjxPu98dadV8q0=;
 b=BknwbL089UDDdVJiWE7dm+p2VOPuMfPgprt+L3D4a71uSDrdsAO19IvAe3Z1uI6pbW
 trSNiFxxKewR0t6c6rgjJQi2DmQmFU+lGpjb8w9wDBBvWJ0DdAZaN2fdWsLR1XR/yx0s
 kwYlW4d6KOrivXtddI+m79URYWBBXBt/UjKTWfjWL8R1/Yb9QAePGhv+pRCuoIUKyLMX
 84g1kFauAD4QRkoMYI5FS+sgKhrrPZeXTpJfYEvSp+0pvNVYvPLHv1uPAyXOADvR1Oa5
 yD4wPVhJtHLjlqrxXOqAFLKFj8x3Aoo5qzdrGGwlOUSD+7yukVRZMAXNOnzNgIxdBKpm
 7F3A==
X-Gm-Message-State: AOAM53123tYokNgV9nPBH51mrQPk4/gY5L1OAg1hsTeYp13UiafpsMLn
 Q5n2e9MzLE1UPqSrDT9Vw95yxQTzPHY6swawsrg=
X-Google-Smtp-Source: ABdhPJx044qRjAqKfXydHZ1DENjmXtWG4HKK51ex8oTGJwk96pUFOKzfqX2QMD9rGCq0ocPXwbOqkcDiY+uI0DoZFXo=
X-Received: by 2002:aca:1c03:: with SMTP id c3mr3180757oic.158.1642080254057; 
 Thu, 13 Jan 2022 05:24:14 -0800 (PST)
MIME-Version: 1.0
References: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
 <ttk0f4ddpn.fsf@HIDDEN> <83sftr3nyx.fsf@HIDDEN>
 <df3d43c9-31ba-442b-b694-f86fcccb2726@HIDDEN>
In-Reply-To: <df3d43c9-31ba-442b-b694-f86fcccb2726@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Thu, 13 Jan 2022 14:24:03 +0100
Message-ID: <CAArVCkSPFmUXSO9-_VukBa4j5SyEA=w5rzJ4HhDnmsPbtawFRg@HIDDEN>
Subject: Re: bug#53207: 28.0.91;
 create-lockfiles nil breaks file change detection
To: Jay Berkenbilt <ejb@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Am Do., 13. Jan. 2022 um 14:13 Uhr schrieb Jay Berkenbilt
 : > > > > On Thu, Jan 13, 2022, at 5:54 AM, Eli Zaretskii wrote: > > > From:
 Glenn Morris > > > Date: Wed, 12 Jan 2022 13:13:40 -0500 > > > [...] 
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (p.stephani2[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (p.stephani2[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.172 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.172 listed in list.dnswl.org]
 1.0 FREEMAIL_REPLY         From and body contain different freemails
X-Debbugs-Envelope-To: 53207
Cc: Glenn Morris <rgm@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 Michael Albinus <michael.albinus@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>,
 53207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Am Do., 13. Jan. 2022 um 14:13 Uhr schrieb Jay Berkenbilt <ejb@HIDDEN>:
>
>
>
> On Thu, Jan 13, 2022, at 5:54 AM, Eli Zaretskii wrote:
> > > From: Glenn Morris <rgm@HIDDEN>
> > > Date: Wed, 12 Jan 2022 13:13:40 -0500
> > > Cc: michael.albinus@HIDDEN, 53207 <at> debbugs.gnu.org
> > >
> > > Probably a consequence of 9ce6541ac9, specifically:
> > >
> > >   * src/filelock.c (lock_file): Don't check create_lockfiles.
> >
> > Actually, the more relevant part is this:
> >
> >     (Flock_file): Check create_lockfiles.
> >
> > which did
> >
> >   -  CHECK_STRING (file);
> >   -  lock_file (file);
> >   +#ifndef MSDOS
> >   +  /* Don't do locking if the user has opted out.  */
> >   +  if (create_lockfiles)
> >   +    {
> >   +      CHECK_STRING (file);
> >   +      lock_file (file);
> >   +    }
> >   +#endif /* MSDOS */
> >
> > > which would seem to mean that ask-user-about-supersession-threat
> > > is no longer called when create-lockfiles is nil.
> > > Was this intentional?
> >
> > Michael, can you please chime in?  The long discussion we had back
> > then doesn't seem to mention this aspect, or maybe I'm missing
> > something?
> >
> > We should either document this change (if we think what we have now is
> > the intended behavior), or we should move the call to
> > userlock--ask-user-about-supersession-threat into Flock_file if it's
> > unintended.
> >
> > Personally, I prefer the former, since lock_file accesses the lock
> > file, which doesn't make a lot of sense if the user opted out of the
> > feature.  But that's me.
>
> For my edification, can you explain how the 27.2 behavior of noticing
> when a file's contents had changed immediately is not adequate without
> lockfiles? Is it that it doesn't work on some platforms, it doesn't
> work reliably with a network file system, etc.?
>
> It seems to me that there are two separate issues here. A lock file
> would enable you to immediately notice if a user on a *different
> system* is in the process of editing a file and has unsaved changes.
> On the other hand, the other behavior I'm talking about allows you to
> notice immediately when you begin editing if the file on disk has
> become out of sync with the buffer contents. These seem like two
> different things, both of which are valuable. I can't see how you
> would ever want to disable noticing if the file's contents on disk
> differ from the buffer, but if you never edit files with emacs on a
> multi-user system, then I don't see why you would care about
> lockfiles.

I fully agree.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.

Message received at 53207 <at> debbugs.gnu.org:


Received: (at 53207) by debbugs.gnu.org; 13 Jan 2022 13:12:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 08:12:06 2022
Received: from localhost ([127.0.0.1]:60465 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7zte-0006cX-DH
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 08:12:06 -0500
Received: from wout4-smtp.messagingengine.com ([64.147.123.20]:40345)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ejb@HIDDEN>) id 1n7ztZ-0006bw-Jj
 for 53207 <at> debbugs.gnu.org; Thu, 13 Jan 2022 08:12:05 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.west.internal (Postfix) with ESMTP id 96AC23201DB9;
 Thu, 13 Jan 2022 08:11:55 -0500 (EST)
Received: from imap49 ([10.202.2.99])
 by compute1.internal (MEProxy); Thu, 13 Jan 2022 08:11:56 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ql.org; h=
 mime-version:message-id:in-reply-to:references:date:from:to:cc
 :subject:content-type; s=fm3; bh=mvN6z3F2M5H2LqW3pPbIqFLhQ1bG2BY
 9YSPiCm2xm2w=; b=pJ7neJj/T2fAbtnFqxIFgYQvRkMO0QEGHCMOd3JJru4L9G1
 n5EQ4avCkqTJRm05OGsV93SAuZ3YeDUBb0RXaDTrUpMVvTb9g12yPq0kY5dJ9Sfb
 8ouV2JBD0xeh6gyeJa/O1xX/1I1eIesw37ELBQ7/FQl35ShSDpUW1ctDTq0sqadZ
 WW7AOD9E444oDetatVwFqpXtQZX/BwPqW9AvCrGso1glkH3layiVuA3dpJvgoIsZ
 dX7gs5CYW9S2kg7anqltuTjy+LM7hkHDGRSMUXaMJJ/XiRrFsQIhebBZfyeqlCJr
 mFhfB2s7+ODivY3BgvM0gdBZyiDlIaXwR6kZjng==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=mvN6z3
 F2M5H2LqW3pPbIqFLhQ1bG2BY9YSPiCm2xm2w=; b=L3u7/GnMa98RFV4ynozf1a
 pVZrvrB3sUD5GgCcIcnBwi64CmEarF9LUiWo9tDj3QNMnI1kxfF4taJaez+0946N
 1aZFCPeXUKKWhydjPWvtmNJnx0C2DUuqxZks+g7Uk10u3YsEWPK0zJ8CybBm2fio
 dadetw+jkqaWVX5jb6zCCjgrUOE8nPZqJcymA318rNqUtqKPLBmJ8DHKqvP0TjEz
 Xcr6bpPm0uckm0Dh0Pspv4+phbDn5aMoGVUAs2tIzwkBiB+0NxT0ZLhq+fTclKxO
 l1Be4yBrPN3KavFrxvJ2VP12CiIvYmOsdNXPB6uz4rCTmeSq8cS4xRI1QqQsuGLA
 ==
X-ME-Sender: <xms:GiXgYVu8SZj16b2P4f3fCocabuj161JqE7rvg2eJO32NCNmu6TmQ6g>
 <xme:GiXgYecQeexUP5AG_cNT3JR4WnYpxsMuGLMp94L0IAmGFq_7lkuYOOdychQpc7aFR
 zRKwAyf1a74S8aM0D0>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvvddrtdefgdegkecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpefofgggkfgjfhffhffvufgtsehttdertderredtnecuhfhrohhmpedflfgrhicu
 uegvrhhkvghnsghilhhtfdcuoegvjhgssehqlhdrohhrgheqnecuggftrfgrthhtvghrnh
 ephedtvefhfedvfffgieefudehfefhudfhgeffgffftdevleffhedvvdehjeffueeknecu
 vehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomhepvghjsgesqh
 hlrdhorhhg
X-ME-Proxy: <xmx:GiXgYYwUEFMzg09lAUElDEtWQv5ZPR_J2WfRQq4jm68PuNmw6yk92w>
 <xmx:GiXgYcPzQW561_hfxZ07L2BBiRdUpgsc92z7vOuZoNCxAbTIkduBFw>
 <xmx:GiXgYV_AHUGuSpUzoJuPQt5TGuQb4Q1YMEc6q_qCLKU7NwH1sYOb2Q>
 <xmx:GyXgYXLa1mprRmXv_r_xv0kU7-drmucUqcJFBFyKrQTgy5omSosugw>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id B4D74F60075; Thu, 13 Jan 2022 08:11:54 -0500 (EST)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-4569-g891f756243-fm-20220111.001-g891f7562
Mime-Version: 1.0
Message-Id: <df3d43c9-31ba-442b-b694-f86fcccb2726@HIDDEN>
In-Reply-To: <83sftr3nyx.fsf@HIDDEN>
References: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
 <ttk0f4ddpn.fsf@HIDDEN> <83sftr3nyx.fsf@HIDDEN>
Date: Thu, 13 Jan 2022 08:11:34 -0500
From: "Jay Berkenbilt" <ejb@HIDDEN>
To: "Eli Zaretskii" <eliz@HIDDEN>, "Glenn Morris" <rgm@HIDDEN>,
 "Michael Albinus" <michael.albinus@HIDDEN>,
 "Lars Ingebrigtsen" <larsi@HIDDEN>
Subject: Re: bug#53207: 28.0.91;
 create-lockfiles nil breaks file change detection
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53207
Cc: 53207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)



On Thu, Jan 13, 2022, at 5:54 AM, Eli Zaretskii wrote:
> > From: Glenn Morris <rgm@HIDDEN>
> > Date: Wed, 12 Jan 2022 13:13:40 -0500
> > Cc: michael.albinus@HIDDEN, 53207 <at> debbugs.gnu.org
> > 
> > Probably a consequence of 9ce6541ac9, specifically:
> > 
> >   * src/filelock.c (lock_file): Don't check create_lockfiles.
> 
> Actually, the more relevant part is this:
> 
>     (Flock_file): Check create_lockfiles.
> 
> which did
> 
>   -  CHECK_STRING (file);
>   -  lock_file (file);
>   +#ifndef MSDOS
>   +  /* Don't do locking if the user has opted out.  */
>   +  if (create_lockfiles)
>   +    {
>   +      CHECK_STRING (file);
>   +      lock_file (file);
>   +    }
>   +#endif /* MSDOS */
> 
> > which would seem to mean that ask-user-about-supersession-threat
> > is no longer called when create-lockfiles is nil.
> > Was this intentional?
> 
> Michael, can you please chime in?  The long discussion we had back
> then doesn't seem to mention this aspect, or maybe I'm missing
> something?
> 
> We should either document this change (if we think what we have now is
> the intended behavior), or we should move the call to
> userlock--ask-user-about-supersession-threat into Flock_file if it's
> unintended.
> 
> Personally, I prefer the former, since lock_file accesses the lock
> file, which doesn't make a lot of sense if the user opted out of the
> feature.  But that's me.

For my edification, can you explain how the 27.2 behavior of noticing
when a file's contents had changed immediately is not adequate without
lockfiles? Is it that it doesn't work on some platforms, it doesn't
work reliably with a network file system, etc.?

It seems to me that there are two separate issues here. A lock file
would enable you to immediately notice if a user on a *different
system* is in the process of editing a file and has unsaved changes.
On the other hand, the other behavior I'm talking about allows you to
notice immediately when you begin editing if the file on disk has
become out of sync with the buffer contents. These seem like two
different things, both of which are valuable. I can't see how you
would ever want to disable noticing if the file's contents on disk
differ from the buffer, but if you never edit files with emacs on a
multi-user system, then I don't see why you would care about
lockfiles.

All that said, I'm perfectly happy for my own purposes to set
lock-file-name-transforms...I'm just trying to contribute a fresh,
outside perspective (from someone who has used emacs for over 30
years and has a made a career of software development, including open
source software) to the discussion.

I trust that everyone is aware of the issue and will come to a good
resolution. Thanks! I'm eager to hear the other opinions, even though
I have no "vote" in the outcome.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.

Message received at 53207 <at> debbugs.gnu.org:


Received: (at 53207) by debbugs.gnu.org; 13 Jan 2022 13:06:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 08:06:57 2022
Received: from localhost ([127.0.0.1]:60458 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7zoe-0006TH-NK
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 08:06:57 -0500
Received: from wout4-smtp.messagingengine.com ([64.147.123.20]:33671)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ejb@HIDDEN>) id 1n7zoa-0006Sz-HC
 for 53207 <at> debbugs.gnu.org; Thu, 13 Jan 2022 08:06:55 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.west.internal (Postfix) with ESMTP id A94A23200F72;
 Thu, 13 Jan 2022 08:06:46 -0500 (EST)
Received: from imap49 ([10.202.2.99])
 by compute1.internal (MEProxy); Thu, 13 Jan 2022 08:06:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ql.org; h=
 mime-version:message-id:in-reply-to:references:date:from:to:cc
 :subject:content-type; s=fm3; bh=bFmCjGDgihw83bWsQg/nwutJVfS2vZ3
 +ZG2sExVHMYQ=; b=XbIFqtk/g31v7Wse/mICKeA1cGkGZCpd5gMBnbxwP7kpMFk
 KLlAMM6WTshdwCjaEr7iLMHJZGcbNylylxdqjIaXidKrX8ib3ltosOVADQb5s0K6
 BQ1a5TfOH/LfeP1Z8E3eAvmF95QjNJ1kDuMXt5FiYU+CocRx2B7GSBhja3jx/8bU
 IwOxDuqEZg6pXLEUP0K2U7tc80b3Zb8dCk5vyS5s5G7FPOk9iFEgxtQmH/WPyk3n
 RzO1onZmLjJ1j9iLCbXxPvbDFPI1xNyVyyvRszmVC4/G1EU7AMcpPvVxR+bY1p1T
 Rdlh9XkRu8X48mRVTv0DiOIuJUeLviJZ2mYfZ1A==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=bFmCjG
 Dgihw83bWsQg/nwutJVfS2vZ3+ZG2sExVHMYQ=; b=CiPMdupXP9wjcP9/RULfcu
 ABZFWKM7WacX6QuS2j4u50sZBGUbgIwtI5dFCVI2sn/U8IIv+gSTEGQDpmlKUIsY
 0fviKj969fQ85vMgFIdlzpF02KkZdDyHJw8U3kO7LHS6iNwCUx17zszAdEyESwFf
 aZeqoxIYHr1CQ8WnqtQCWuw8L0G73h0ylPGoAFzgMK/Mou5IcHmSxXp8LAlU+SZb
 NcFhLjldganZiAGZbk0cwOPQS1EfeysMafr45nWteF/Dv7M5gUOsTg/hFG0wUnzd
 3KZYrZJPnnijOLplRdMbbTn0LG7HZ6WOVKNVP++nghNG/yjQmTwyYVQbbe/ONZyg
 ==
X-ME-Sender: <xms:5iPgYVb7v95wpKqVZhyKYgAyZ1uU78RskJ0-iSlgkNgTVFC73Esu2Q>
 <xme:5iPgYcZjy-IgsWY2zGVZFUBY6q0YfbEBfE2-qbkaDyl0naPYDQ8ZPDZuLApc8msZN
 29cXkPoab_p1OYNjHw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvvddrtdefgdegjecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpefofgggkfgjfhffhffvufgtsehttdertderredtnecuhfhrohhmpedflfgrhicu
 uegvrhhkvghnsghilhhtfdcuoegvjhgssehqlhdrohhrgheqnecuggftrfgrthhtvghrnh
 epveekuddvieehgeekhedvfeehheeugeeuffffheeukeejleelueefkedtieeutdfhnecu
 ffhomhgrihhnpehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrg
 hmpehmrghilhhfrhhomhepvghjsgesqhhlrdhorhhg
X-ME-Proxy: <xmx:5iPgYX-3JfJYeOox2e2YHk09ljRUSN59wdoBNkCtKNS93c57jQGBGw>
 <xmx:5iPgYTqn4oyyJp5NNeevHtWq8YTIrUMkASBcUpev6WDCcB2qg4sTGQ>
 <xmx:5iPgYQoUe1BsR1SB8evCntQJ-qIbUKojWpodolbSBKIO0PHNcgTKgQ>
 <xmx:5iPgYWEJkmRPc_4zrK5fdD8-MjGVE0WMJC1MY0uuasZHn7N_ad8xMw>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id F006DF6007E; Thu, 13 Jan 2022 08:06:45 -0500 (EST)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-4569-g891f756243-fm-20220111.001-g891f7562
Mime-Version: 1.0
Message-Id: <f881c59b-87fc-4ad0-b1a1-5b76b239a946@HIDDEN>
In-Reply-To: <83mtk03zlp.fsf@HIDDEN>
References: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
 <83bl0g6f29.fsf@HIDDEN>
 <3759fdad-fb95-4af8-b2bf-146abb81eb3d@HIDDEN>
 <83pmow4r9q.fsf@HIDDEN>
 <655743d1-b695-4d22-ae21-cf195434a880@HIDDEN>
 <83mtk03zlp.fsf@HIDDEN>
Date: Thu, 13 Jan 2022 08:06:24 -0500
From: "Jay Berkenbilt" <ejb@HIDDEN>
To: "Eli Zaretskii" <eliz@HIDDEN>
Subject: Re: bug#53207: 28.0.91;
 create-lockfiles nil breaks file change detection
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53207
Cc: 53207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)



On Thu, Jan 13, 2022, at 1:43 AM, Eli Zaretskii wrote:
> > Date: Wed, 12 Jan 2022 16:35:15 -0500
> > From: "Jay Berkenbilt" <ejb@HIDDEN>
> > Cc: 53207 <at> debbugs.gnu.org
> > 
> > > > > My suggestion is to stop setting create-lockfiles to a nil value.  Why
> > > > > is the non-nil value a problem?
> > > > 
> > > > Emacs lockfiles are dangling symbolic links. Some tools and systems don't
> > > > like those.
> > > 
> > > Isn't that the reason we introduced lock-file-name-transforms?
> > 
> > Perhaps so, but this misses the point.
> 
> My point was to say that if you want collision detection, you should
> turn on create-lockfiles.  You said this could cause problems with
> some tools, and I then pointed out that Emacs 28 has a new feature to
> help you solve that side effect, so that you could use locking again.

Thank you for clarifying.

I have added the following to emacs initialization code. This is satisfying my
need to avoid dangling links in places that confuse tools.

=== 8< ===
  ;; I never use emacs with my own configuration in a multi-user
  ;; environment, and lockfiles are dangling links that confuse some
  ;; tools. Conflict detection works prior to 28.1 with
  ;; create-lockfiles nil. Starting in 28.1, it no longer works with
  ;; create-lockfiles nil, but lock-file-name-transforms can be used
  ;; to create the dangling links somewhere else. See
  ;; http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53207
  (if (boundp 'lock-file-name-transforms)
      (let* ((lockdir (expand-file-name "~/.emacs.d/lockfiles"))
             (replacement (concat lockdir "/\\2")))
        (make-directory lockdir t)
        (setq lock-file-name-transforms
              `(("\\`\\([^/]*/\\)*\\([^/]*\\)\\'" ,replacement t))
        )
      )
    (setq create-lockfiles nil)
  )
=== 8< ===


> > It just seems strange that emacs is perfectly capable of detecting when a file was changed
> > outside of emacs without a lockfile but doesn't do this check if it's not also creating lockfiles.
> 
> Once again, this is not about the lockfiles, this is about the entire
> feature of detection of editing collisions.  The variable's name is a
> misnomer.

In addition to any other doc clarifications, I'd suggest the fact that create-lockfiles is a misnomer
be explained in the help for create-lockfiles.

I will add some thoughts to a different part of the thread. Thanks!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.

Message received at 53207 <at> debbugs.gnu.org:


Received: (at 53207) by debbugs.gnu.org; 13 Jan 2022 10:54:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 05:54:50 2022
Received: from localhost ([127.0.0.1]:60295 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7xko-0006O3-0r
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 05:54:50 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50748)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1n7xkk-0006Nm-O4
 for 53207 <at> debbugs.gnu.org; Thu, 13 Jan 2022 05:54:48 -0500
Received: from [2001:470:142:3::e] (port=41426 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n7xkb-0003kM-6P; Thu, 13 Jan 2022 05:54:41 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=EfxWlnYq4VRdDB50tZphwJnQTAQh5+0zoTa1ERFpGgs=; b=h18/+4MWkJpa
 hfW1ElmcKHqGSc5p3WYnwy5iypwhG7xZebJPYUZBV5vacwFd8RsB02HZaJU9J3c7N7OC/1Olx0M8+
 hfDANJuP0aRgbYtoQ9ehfy99ODgw54G2qeemUpv899ZdAi30RQ9/0/1J43b5wjQ7RqxvUy/NxiEDo
 zn5/zzCAwElb4sK2v7SuYMbG4G0X4Ev8ClCdpR7ofvuswNbJiEtE7VIizrA6IzAE94xIpTjSj3+Ks
 LBrmQpHfMbPqYKILFWP1LYY4Sdry9OGvSaysV/qPvbgHC8pHn4I8CQCWOa95lcIbvDCSDtLCJuurQ
 Ab+O4KqWkxJgOB6B+uygOA==;
Received: from [87.69.77.57] (port=3680 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n7xkY-00023F-6y; Thu, 13 Jan 2022 05:54:34 -0500
Date: Thu, 13 Jan 2022 12:54:30 +0200
Message-Id: <83sftr3nyx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>, Michael Albinus <michael.albinus@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <ttk0f4ddpn.fsf@HIDDEN> (message from Glenn Morris on
 Wed, 12 Jan 2022 13:13:40 -0500)
Subject: Re: bug#53207: 28.0.91;
 create-lockfiles nil breaks file change detection
References: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
 <ttk0f4ddpn.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53207
Cc: ejb@HIDDEN, 53207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Glenn Morris <rgm@HIDDEN>
> Date: Wed, 12 Jan 2022 13:13:40 -0500
> Cc: michael.albinus@HIDDEN, 53207 <at> debbugs.gnu.org
> 
> Probably a consequence of 9ce6541ac9, specifically:
> 
>   * src/filelock.c (lock_file): Don't check create_lockfiles.

Actually, the more relevant part is this:

    (Flock_file): Check create_lockfiles.

which did

  -  CHECK_STRING (file);
  -  lock_file (file);
  +#ifndef MSDOS
  +  /* Don't do locking if the user has opted out.  */
  +  if (create_lockfiles)
  +    {
  +      CHECK_STRING (file);
  +      lock_file (file);
  +    }
  +#endif /* MSDOS */

> which would seem to mean that ask-user-about-supersession-threat
> is no longer called when create-lockfiles is nil.
> Was this intentional?

Michael, can you please chime in?  The long discussion we had back
then doesn't seem to mention this aspect, or maybe I'm missing
something?

We should either document this change (if we think what we have now is
the intended behavior), or we should move the call to
userlock--ask-user-about-supersession-threat into Flock_file if it's
unintended.

Personally, I prefer the former, since lock_file accesses the lock
file, which doesn't make a lot of sense if the user opted out of the
feature.  But that's me.

Lars, WDYT?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.

Message received at 53207 <at> debbugs.gnu.org:


Received: (at 53207) by debbugs.gnu.org; 13 Jan 2022 06:43:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 01:43:29 2022
Received: from localhost ([127.0.0.1]:59805 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7tpZ-0006V5-JH
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 01:43:29 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1n7tpW-0006Uk-W2
 for 53207 <at> debbugs.gnu.org; Thu, 13 Jan 2022 01:43:28 -0500
Received: from [2001:470:142:3::e] (port=38222 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n7tpR-0007mg-JT; Thu, 13 Jan 2022 01:43:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=+QKHmIBbuIkKQG4mXw9oS+L9rTa5BW1tatH1D9UBZwg=; b=AnGyU5IcV6WT
 FkrdZGcXr6PQYZ9Grl2G0ww6ksjrTiFpO9ayMQvkgyExgp7tkE15TkSg+DeNmJKTD+ka6tBaAwega
 Putq5Ts0P3+xZ2v89BA7QxWTFp+DXaai6PhI6rsNYQ0y43eNjUKRznoAe4XNKy3SMhgyIDouQuzj6
 FFraMA9IxR06gMsGSquAB5+QQVOaN+MAkEWNwtA27aF3laWFYE6hKqZrzl7UXMJMkPPF6hvJFTonB
 +ySvRUeiNRL+UY6i9xJaAGGegsEbYzJMclR6IoJXkohL9nd0Fjang9zr13d52p52lPubQgoi485GK
 P1a09coCRzosnW2Fr8Uh0w==;
Received: from [87.69.77.57] (port=4076 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n7tpN-0001NW-Fh; Thu, 13 Jan 2022 01:43:21 -0500
Date: Thu, 13 Jan 2022 08:43:14 +0200
Message-Id: <83mtk03zlp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Jay Berkenbilt" <ejb@HIDDEN>
In-Reply-To: <655743d1-b695-4d22-ae21-cf195434a880@HIDDEN>
 (ejb@HIDDEN)
Subject: Re: bug#53207: 28.0.91;
 create-lockfiles nil breaks file change detection
References: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
 <83bl0g6f29.fsf@HIDDEN>
 <3759fdad-fb95-4af8-b2bf-146abb81eb3d@HIDDEN>
 <83pmow4r9q.fsf@HIDDEN>
 <655743d1-b695-4d22-ae21-cf195434a880@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53207
Cc: 53207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 12 Jan 2022 16:35:15 -0500
> From: "Jay Berkenbilt" <ejb@HIDDEN>
> Cc: 53207 <at> debbugs.gnu.org
> 
> > > > My suggestion is to stop setting create-lockfiles to a nil value.  Why
> > > > is the non-nil value a problem?
> > > 
> > > Emacs lockfiles are dangling symbolic links. Some tools and systems don't
> > > like those.
> > 
> > Isn't that the reason we introduced lock-file-name-transforms?
> 
> Perhaps so, but this misses the point.

My point was to say that if you want collision detection, you should
turn on create-lockfiles.  You said this could cause problems with
some tools, and I then pointed out that Emacs 28 has a new feature to
help you solve that side effect, so that you could use locking again.

> I am pointing out at there is an undocumented,
> perhaps undesirable change of behavior that needs to be either fixed or documented.

I understand, but that's a separate, albeit related, issue.  I was
trying to help you to get collision detection back.  Your original
report seemed to ask how to do that, so I tried to answer that part.

> If the change of behavior is intentional, then it should be documented.

We are discussing this, and will document if that's the conclusion.

> It just seems strange that emacs is perfectly capable of detecting when a file was changed
> outside of emacs without a lockfile but doesn't do this check if it's not also creating lockfiles.

Once again, this is not about the lockfiles, this is about the entire
feature of detection of editing collisions.  The variable's name is a
misnomer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.

Message received at 53207 <at> debbugs.gnu.org:


Received: (at 53207) by debbugs.gnu.org; 12 Jan 2022 21:35:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 16:35:45 2022
Received: from localhost ([127.0.0.1]:59335 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7lHU-0001DE-La
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 16:35:44 -0500
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:57847)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ejb@HIDDEN>) id 1n7lHS-0001D2-A2
 for 53207 <at> debbugs.gnu.org; Wed, 12 Jan 2022 16:35:43 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id 2AD195C01F8;
 Wed, 12 Jan 2022 16:35:37 -0500 (EST)
Received: from imap49 ([10.202.2.99])
 by compute1.internal (MEProxy); Wed, 12 Jan 2022 16:35:37 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ql.org; h=
 mime-version:message-id:in-reply-to:references:date:from:to:cc
 :subject:content-type; s=fm3; bh=dDNR25ooD+kuxPGxYaksaiW61k7gz5w
 R7QOFBf3tD8M=; b=k31k2eWgGWJ3Y1rxWdzut8s9+b6HtC3+J8fe4qbb/zkzUPZ
 GHhEcwqbUtyxQloTFBPFO9rwASSVQ0Yyqc1IaA0CxLJTKMf4Wfssv0+I1a0F8YBI
 hbIxpc0C0Qk3kehX3kWMFgk+8sgi40axxQExLSd2ul7YfqqnxnxvMrfWbTUYFYcr
 S6RuZVuc2QPEklEsztLJ5fBAmZfnlsOmfdZywPAEBnddgKi8ztoBWbvHoTm++ow8
 KAZ5cwVC/AgVIxATiLumIR+0r6OSZfScVTNngdZ3TmDhXbPglCIhfywZQhgkuFKD
 SsWFKkbNlP95tswjNJSRuxrEobeekr5oQnExL4Q==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=dDNR25
 ooD+kuxPGxYaksaiW61k7gz5wR7QOFBf3tD8M=; b=ZNPQTyzLq5BtZd3xhcrQum
 NQDPKKq3m90hoIj3/qU4C0+yDd+OKn1ocVftrzU2miCRrOULZ645yI737tDl/Py5
 kqL2MTyHgjOejB5/QJTkpA4/8tN+/IP64z6lOhgvrdwCxKUr4B5Q4f6rV76dy1MH
 1w6DLPrARg0BJX+eHSwlpbxYRW5ViaQxa4Li5gMS2HiOBNxW5UMWAb7+uQlUcTdC
 4+0SyXZTY8m3IB4eyEYwYFzWEbvAVGLhnYSJbv2MNgohN1WUa1otIWDmlRLafp0R
 7bYpy42nEXCIfpodtwFsFL/4MaVy0VQc9BZ+tURHk7VnTvbSyHobASeEBG0UbAnw
 ==
X-ME-Sender: <xms:qEnfYUy41kPPaNl0T-07UFrFf5WEyAj_dlyjf3ImhMn0gy-fsfFAAA>
 <xme:qEnfYYTcBuJdPRLSk35fAOTiIhgZlu8PjvqX0sMH82WPjlaiKsg5PZ8QgE8vRk6ju
 zcvk4furfAZgRRQ71w>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvvddrtddugdduvdejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepofgfggfkjghffffhvffutgesthdtredtreertdenucfhrhhomhepfdflrgih
 uceuvghrkhgvnhgsihhlthdfuceovghjsgesqhhlrdhorhhgqeenucggtffrrghtthgvrh
 hnpeehtdevhfefvdffgfeifeduheefhfduhfegfffgffdtveelffehvddvheejffeukeen
 ucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpegvjhgsse
 hqlhdrohhrgh
X-ME-Proxy: <xmx:qUnfYWXUGiA7LYVEtWjeNqAPR8q-ziyAPXcOe1kdR2Uwe2CnbfC86g>
 <xmx:qUnfYSiZPm6HJ32F3PSW5Lde0mb4BGY2LgN5LZ7hbGKDre_3uJy1CQ>
 <xmx:qUnfYWDqZEvABd9rdsses-tM6Uyo0-pEOHLKoKtNBn3byPyttUpjHQ>
 <xmx:qUnfYd-bsLAMmaSkCD-7__dBE0_MWG9ne3kyGtGmPu1Xo1oFv9bZ2A>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id D73E7F60075; Wed, 12 Jan 2022 16:35:36 -0500 (EST)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-4569-g891f756243-fm-20220111.001-g891f7562
Mime-Version: 1.0
Message-Id: <655743d1-b695-4d22-ae21-cf195434a880@HIDDEN>
In-Reply-To: <83pmow4r9q.fsf@HIDDEN>
References: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
 <83bl0g6f29.fsf@HIDDEN>
 <3759fdad-fb95-4af8-b2bf-146abb81eb3d@HIDDEN>
 <83pmow4r9q.fsf@HIDDEN>
Date: Wed, 12 Jan 2022 16:35:15 -0500
From: "Jay Berkenbilt" <ejb@HIDDEN>
To: "Eli Zaretskii" <eliz@HIDDEN>
Subject: Re: bug#53207: 28.0.91;
 create-lockfiles nil breaks file change detection
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53207
Cc: 53207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)



On Wed, Jan 12, 2022, at 3:45 PM, Eli Zaretskii wrote:
> > Date: Wed, 12 Jan 2022 15:07:32 -0500
> > From: "Jay Berkenbilt" <ejb@HIDDEN>
> > Cc: 53207 <at> debbugs.gnu.org
> > 
> > > My suggestion is to stop setting create-lockfiles to a nil value.  Why
> > > is the non-nil value a problem?
> > 
> > Emacs lockfiles are dangling symbolic links. Some tools and systems don't
> > like those.
> 
> Isn't that the reason we introduced lock-file-name-transforms?

Perhaps so, but this misses the point. I am pointing out at there is an undocumented,
perhaps undesirable change of behavior that needs to be either fixed or documented.
If the change of behavior is intentional, then it should be documented. That said, I think
the old behavior made more sense. The old behavior seems to be that setting 
create-lockfiles to nil just makes emacs stop creating lockfiles. The new behavior seems
to be that it does other things as well. It's odd for you to tell me that I shouldn't use an
option that is provided, particularly when it used to do exactly what I wanted it to do.

All that said, if this is intentional and there is some reason to decrease the functionality
of emacs by making it impossible to turn off lockfile creation without this other side effect,
then I will add conditional code in my .emacs to turn off lockfiles if 
(not (boundp 'lock-file-name-transforms)).

It just seems strange that emacs is perfectly capable of detecting when a file was changed
outside of emacs without a lockfile but doesn't do this check if it's not also creating lockfiles.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.

Message received at 53207 <at> debbugs.gnu.org:


Received: (at 53207) by debbugs.gnu.org; 12 Jan 2022 20:45:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 15:45:48 2022
Received: from localhost ([127.0.0.1]:59252 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7kVA-00063E-CT
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 15:45:48 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45122)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1n7kV8-000632-J5
 for 53207 <at> debbugs.gnu.org; Wed, 12 Jan 2022 15:45:46 -0500
Received: from [2001:470:142:3::e] (port=55874 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n7kV2-0005hr-Mu; Wed, 12 Jan 2022 15:45:41 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=WH0A7O0QurV8fJvDH0GmHu7HbiWYi47S+NQmx4yI+QY=; b=i/hcgglAszFC
 3AsMZEM85R5tDqOCetqBghMS8TjwQqY0BSJmHWurSWzCfQlUzkA68x3hHvnURRvFZwXxJj8tCWRrE
 DEutFlPyAjVeVfL2c3iFsNcm6FsscYoeAEbpUU6QzzVqe7LcellD94RhiiBxjk8cR4JrYhGyYjYc9
 YR9KfTyc9kzSvPcOt+btA1gymlqutKxT5tw3ftZN7senlYCAIDMj0/IABcuzCC9bQle4zKUrDqM8r
 77MeSEe3hoVgkTCy5mUlOPtxB5DVmmO1S0XwjmYVPFOVOI4+qIH/SLj1NL5TtqxY2LjLWDeOC4ErA
 NKipiUdL/gmMh9kTObNpFg==;
Received: from [87.69.77.57] (port=3441 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n7kV2-0003K1-Mg; Wed, 12 Jan 2022 15:45:41 -0500
Date: Wed, 12 Jan 2022 22:45:37 +0200
Message-Id: <83pmow4r9q.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Jay Berkenbilt" <ejb@HIDDEN>
In-Reply-To: <3759fdad-fb95-4af8-b2bf-146abb81eb3d@HIDDEN>
 (ejb@HIDDEN)
Subject: Re: bug#53207: 28.0.91;
 create-lockfiles nil breaks file change detection
References: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
 <83bl0g6f29.fsf@HIDDEN>
 <3759fdad-fb95-4af8-b2bf-146abb81eb3d@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53207
Cc: 53207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 12 Jan 2022 15:07:32 -0500
> From: "Jay Berkenbilt" <ejb@HIDDEN>
> Cc: 53207 <at> debbugs.gnu.org
> 
> > My suggestion is to stop setting create-lockfiles to a nil value.  Why
> > is the non-nil value a problem?
> 
> Emacs lockfiles are dangling symbolic links. Some tools and systems don't
> like those.

Isn't that the reason we introduced lock-file-name-transforms?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.

Message received at 53207 <at> debbugs.gnu.org:


Received: (at 53207) by debbugs.gnu.org; 12 Jan 2022 20:08:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 15:08:09 2022
Received: from localhost ([127.0.0.1]:59229 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7jui-00055p-9P
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 15:08:09 -0500
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:34491)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ejb@HIDDEN>) id 1n7juc-00055G-Qs
 for 53207 <at> debbugs.gnu.org; Wed, 12 Jan 2022 15:08:06 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id C10725C01D1;
 Wed, 12 Jan 2022 15:07:57 -0500 (EST)
Received: from imap49 ([10.202.2.99])
 by compute1.internal (MEProxy); Wed, 12 Jan 2022 15:07:57 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ql.org; h=
 mime-version:message-id:in-reply-to:references:date:from:to:cc
 :subject:content-type; s=fm3; bh=zbkQ/BR2f0jAV2c5kfAoE7wEghSeg2A
 KGJO3HohNQXI=; b=CApLDzXecAJpNDMQkUjFSPYaMpK3Eprg9jpQ0cA3Pewlk/O
 XE7BBmDqM9bujfE62vbgkyXLkJ/1kG6Y7nmxkOezgKJfaZ0f0GId+DId0OuBes3m
 r98Jzf5+YAR2yR8GOSF4aMMjAVL8njL87WNjIvso4sDGTGXviq0f6L5NTf/RK8S/
 GglNOdVvhh/O1D+EiIRLgpeGcTzDL6Xiuna8O961KjApg27muPLc2myArRF6GKxc
 zTQC8syRtZX/penPQ1OOXfCY7anutibBGQ6okagCnOqbgTuBtn/2l39ppXTfbdii
 Mnj6I52rf2VKemylBFLutwcmtiOBlgXuwZq8A1g==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=zbkQ/B
 R2f0jAV2c5kfAoE7wEghSeg2AKGJO3HohNQXI=; b=UmZVZ3fN187lWVzQNTvXtv
 C3VTl6OX9Q19EzB1YqdayEeGL0CGmSHS/N1Ge8SDGfgTu2TiEVu59plMV50pVHgX
 dHAg95gKeG9r4YjgZTwg2nbNDfHzAxsYx/E0zoTvlEm7MAutO/soEOfdo5aaa5Kb
 EqBVo9akiQTQ2XmDm0Kv42cBdJBa996lL4mJZaLN5bQCYTE1qKvwiwm0X8HER6QJ
 YaBP43Ldu4l3jfScHWCLmNNJkDmfXm2Yh4nd9jPdLiFYR/1EI2wQlGj1ZEb38Wv0
 Y+2SATcCC9gXpo4oMQj2iqbWkGZhZEOcXXhlsjFq+9sSnDXohglaDJoW1D7t9AGw
 ==
X-ME-Sender: <xms:HTXfYf4gD1r-CuigaDRYechcFuWRXzn_3yN3yKniNaKiW4HGt1-Muw>
 <xme:HTXfYU5cM-YX9UPB0_AQyTIitfPFEPqig03fe5CmnMzPwigWEXkoy1EGAlRlkwCHG
 SIfyNxZTDRQvFP6gcI>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvvddrtddugddutdekucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepofgfggfkjghffffhvffutgesthdtredtreertdenucfhrhhomhepfdflrgih
 uceuvghrkhgvnhgsihhlthdfuceovghjsgesqhhlrdhorhhgqeenucggtffrrghtthgvrh
 hnpeehtdevhfefvdffgfeifeduheefhfduhfegfffgffdtveelffehvddvheejffeukeen
 ucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpegvjhgsse
 hqlhdrohhrgh
X-ME-Proxy: <xmx:HTXfYWe5FNxgbdwXqa2BCscj-u4T8Sy_i7yP0jEYqO85E1UH6AdaOQ>
 <xmx:HTXfYQLnPNXu-TqCTXfToJXw-Cf_uz5fJ9Axb58BJN1UHY_rfOiuFg>
 <xmx:HTXfYTLslXDYM6zkgiaIdePci_F4terwQ0QjdCXdyCivuOaCBkWgjw>
 <xmx:HTXfYemK_cuMI01Hpqyo4FHYlT87bT46MQG-4uSyK5r-kvQP15B_dw>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id 6B49FF60075; Wed, 12 Jan 2022 15:07:57 -0500 (EST)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-4569-g891f756243-fm-20220111.001-g891f7562
Mime-Version: 1.0
Message-Id: <3759fdad-fb95-4af8-b2bf-146abb81eb3d@HIDDEN>
In-Reply-To: <83bl0g6f29.fsf@HIDDEN>
References: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
 <83bl0g6f29.fsf@HIDDEN>
Date: Wed, 12 Jan 2022 15:07:32 -0500
From: "Jay Berkenbilt" <ejb@HIDDEN>
To: "Eli Zaretskii" <eliz@HIDDEN>
Subject: Re: bug#53207: 28.0.91;
 create-lockfiles nil breaks file change detection
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53207
Cc: 53207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)



On Wed, Jan 12, 2022, at 12:26 PM, Eli Zaretskii wrote:
> > Date: Wed, 12 Jan 2022 09:30:07 -0500
> > From: "Jay Berkenbilt" <ejb@HIDDEN>
> > 
> > Bottom line: in emacs 27.2, setting create-lockfiles to nil does not change the behavior. In emacs 28.0.91, it does. I also noticed this in 28.0.90 but hadn't had time to figure out how to reproduce it without my customizations.
> 
> You seem to assume that create-lockfiles is _only_ about the creation
> of the lockfiles.  But that's not true: the variable is a misnomer,
> and it actually controls the entire functionality of preventing
> editing collisions.  Including the test for the file being modified
> behind Emacs's back.  The doc string says:
> 
>   Non-nil means use lockfiles to avoid editing collisions.

I interpreted this to mean that this was the method of preventing collisions,
as opposed to some other method.

> 
> > Is this change intentional? If so, can I configure something to go
> > back to the old behavior?
> 
> My suggestion is to stop setting create-lockfiles to a nil value.  Why
> is the non-nil value a problem?

Emacs lockfiles are dangling symbolic links. Some tools and systems don't
like those. For example, I was working on a learning project to teach myself
modern web development and was using tools that do hot reload, scanning
directories for tests. Every time I started editing, it would pick up the lock file
and give an error. You could make an argument that it is a bug in the tool,
but the cross section of people who live and breathe in emacs and who are
working on front-end web development seems to be very small, and there's
little incentive for them to add code that ignores dangling symbolic links. Most
people consider those to be errors. I get why it's done though -- I have
implemented symlink-based lock files myself since they are easier to make 
atomic, especially when network file systems are in play.

But, from a pragmatic standpoint, I don't need them, and I'd like to turn them off,
and it used to work and no longer does. This is why I'm testing 28 -- to catch
things like this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.

Message received at 53207 <at> debbugs.gnu.org:


Received: (at 53207) by debbugs.gnu.org; 12 Jan 2022 18:41:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 13:41:21 2022
Received: from localhost ([127.0.0.1]:59080 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7iYi-0000No-SK
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 13:41:21 -0500
Received: from mail-oo1-f49.google.com ([209.85.161.49]:36781)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1n7iYh-0000Na-Dp
 for 53207 <at> debbugs.gnu.org; Wed, 12 Jan 2022 13:41:19 -0500
Received: by mail-oo1-f49.google.com with SMTP id
 k15-20020a4a850f000000b002dc3cdb0256so921436ooh.3
 for <53207 <at> debbugs.gnu.org>; Wed, 12 Jan 2022 10:41:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=GNEchisQNuJHwlD3cQZxsswwgBZCga8D2z2Wllu3Fu0=;
 b=lYV/AZhC/3Rc5ywTkLqSeI2UT+VlbtgAMFkicaKNvTViyhy/Iw4Tdx/nvZ8nKHL69Q
 YGIRHKeD3sMwxLcS43e3hxvdhPq6evRLII47PO+tOy8bw07issw1dvpSXpnQKCda4wOH
 zDcCycZZ0wT5UtLVEKfETAki/wLJ2QBFW0EnEFLxl8owUBS0hM0pEUOZDyavY8xYNoAx
 T3Fl4YTtZBV10zi8pXJTDsVa/beN4kmCkRCswyHay/7dKlEk7xbIt4w4+HFRFA+Dp5RW
 FMy9L+YJKGr3EYk3d9fHpteh7pSBo8u8ofdGu/a+6R+c4+jBR5zN3m/QRwY4MuHE7R01
 1hxA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=GNEchisQNuJHwlD3cQZxsswwgBZCga8D2z2Wllu3Fu0=;
 b=VbkkaKOUgMzKVWQrp0SqiLxba9enGYbSVpDKQAH4vckRH8vY7wwYiPNRmNjEQ6obrz
 eXC+wv/FKh2lKj1upId6rOZivtEKSzA6GGmQLhEBvwNgqnNuACzIqzmuXJTY+/zYO011
 AKHAo5bD8+QqtUek4cWBwA9FDbv+NTOliEZrAEkwZA2QnOiSonTn7BrWG/SPS2adCOxV
 JoColK78ygI/zSzKX2gpXszhsLkp1WUtCx/AVANZnlnth9Wvst7LhPLDquoz00MbLdCG
 kDYyie+pk6uxAicDdk1McLuXq4LOdlPv99s1hBNHv+YqYIVT5h69m0T+GeYgrwudhFBe
 8o4w==
X-Gm-Message-State: AOAM53291elgztcW2D7TtJS7IAzRZQB4KAZUjFO4+Ad2qarOxa9q1YNA
 J4U+ee6Pn+R36elLal3HmmPI3XHyuAqUGl+OZhQ=
X-Google-Smtp-Source: ABdhPJwDy1dWat+apRJqc9MfjxSwVAbeDN7re+pAnyLGFZ4VGxRhwG8uutLdARF7DuCIGhlNUjQYjSA/kL7Z4dHAv4o=
X-Received: by 2002:a4a:94d3:: with SMTP id l19mr635767ooi.94.1642012873687;
 Wed, 12 Jan 2022 10:41:13 -0800 (PST)
MIME-Version: 1.0
References: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
 <ttk0f4ddpn.fsf@HIDDEN>
In-Reply-To: <ttk0f4ddpn.fsf@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Wed, 12 Jan 2022 19:41:02 +0100
Message-ID: <CAArVCkTD52WJg9XfFeOok0jXft99WyZe-ykSq6FiT1v+Z7t7Rw@HIDDEN>
Subject: Re: bug#53207: 28.0.91;
 create-lockfiles nil breaks file change detection
To: Glenn Morris <rgm@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 53207
Cc: Jay Berkenbilt <ejb@HIDDEN>, Michael Albinus <michael.albinus@HIDDEN>,
 53207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Am Mi., 12. Jan. 2022 um 19:16 Uhr schrieb Glenn Morris <rgm@HIDDEN>:
>
>
> Probably a consequence of 9ce6541ac9, specifically:
>
>   * src/filelock.c (lock_file): Don't check create_lockfiles.
>
> which would seem to mean that ask-user-about-supersession-threat
> is no longer called when create-lockfiles is nil.
> Was this intentional?


If it's intentional, then it should at least be documented in NEWS,
since it's a pretty big change.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.

Message received at 53207 <at> debbugs.gnu.org:


Received: (at 53207) by debbugs.gnu.org; 12 Jan 2022 18:14:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 13:14:13 2022
Received: from localhost ([127.0.0.1]:59053 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7i8T-00080l-Mb
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 13:14:13 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1n7i8R-00080S-Ps
 for 53207 <at> debbugs.gnu.org; Wed, 12 Jan 2022 13:14:12 -0500
Received: from [2001:470:142:3::e] (port=53454 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rgm@HIDDEN>)
 id 1n7i7x-0007xp-Az; Wed, 12 Jan 2022 13:14:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=e3GPU3HnjrnwIJwTIEsXhK46BxwmBNmU0LL7+XAw0lo=; b=pdpN9Vdn9PGH7GNzE4pH
 zVfqTyAarQDK+gFaMMiZi8O5e4PnV/iVXoxCyl1697awJtsgRbjRNW06lyk6LCbdQQaf5Cxh9v7ih
 glhhpty7uhtsSgTH3sh/oXvrcnGApMfejtCrngYFtAvk7ROeI3ByeKjqi05zs7u0eIS2Tfxr+VKWt
 IwBTHsIsc9PJsSVKpFiWstOTY5BgqSmnU5SvaqceElwVxv9e/lqaDm/Gl2u93o8Yr4weru1K266+m
 63MbaKW7PoO3bJGro2A0Sv9OENjHXRdpKLq83bnTfIKrMZMY/ddhtovNPWlNhcxeUEMpw7a7vpvbg
 QIFtQl3WaR3unw==;
Received: from rgm by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1n7i7w-0005T3-Mi; Wed, 12 Jan 2022 13:13:40 -0500
From: Glenn Morris <rgm@HIDDEN>
To: "Jay Berkenbilt" <ejb@HIDDEN>
Subject: Re: bug#53207: 28.0.91;
 create-lockfiles nil breaks file change detection
References: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
X-Spook: Marxist White Water Matamoros DSD Arellano-Felix Toxic
X-Ran: *VG*U<9EG.'w:Fwa\;xm2X;yYC{#@VDOm*m0:=-,W\G\WzeF<*!#Dav^%1@@f]=#`-0}*U
X-Hue: white
X-Attribution: GM
Date: Wed, 12 Jan 2022 13:13:40 -0500
In-Reply-To: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN> (Jay
 Berkenbilt's message of "Wed, 12 Jan 2022 09:30:07 -0500")
Message-ID: <ttk0f4ddpn.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53207
Cc: michael.albinus@HIDDEN, 53207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Probably a consequence of 9ce6541ac9, specifically:

  * src/filelock.c (lock_file): Don't check create_lockfiles.

which would seem to mean that ask-user-about-supersession-threat
is no longer called when create-lockfiles is nil.
Was this intentional?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.

Message received at 53207 <at> debbugs.gnu.org:


Received: (at 53207) by debbugs.gnu.org; 12 Jan 2022 17:26:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 12:26:38 2022
Received: from localhost ([127.0.0.1]:58900 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7hOQ-0008Ce-AM
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 12:26:38 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52018)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1n7hOJ-0008Bu-Ih
 for 53207 <at> debbugs.gnu.org; Wed, 12 Jan 2022 12:26:37 -0500
Received: from [2001:470:142:3::e] (port=52266 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n7hOE-0007lC-6u; Wed, 12 Jan 2022 12:26:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=vyb3om+0rUGp8fRH84+ElZ1JYUZ/XH/M2jgM+8gbqUE=; b=sDXHhKBhUAlb
 S6vVfKl9Flrdaasixps3hu74B8azLQvGU4pMiaIESN4FamXZNVtzW0/F9H+NYwrwHd9Gn2796JxAD
 ng+pnVpHUO2dHatoL/mtY4hDEuApwd5Lxi1giQjeK0fx058J+Z0bIU68+lY7BOA8rr7y134bRAEbu
 KfRzVz+cS7o2WF2rXqW6rKd2gdTeBGBsVAx3OtITEPDY5HFocj0nWNpBkRyZOmEufsjl/tkOwDU84
 OfxhJQxUANDp1KsHPbRf2pZXh3JHVU8SetH6Zl0GaUL9Bt0chzSbbALCyEpRe7kMCl9K75hgJ8eOa
 8qdEmHUt61/XFQyv6WL0Gw==;
Received: from [87.69.77.57] (port=2961 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n7hOE-0006s2-5W; Wed, 12 Jan 2022 12:26:26 -0500
Date: Wed, 12 Jan 2022 19:26:22 +0200
Message-Id: <83bl0g6f29.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Jay Berkenbilt" <ejb@HIDDEN>
In-Reply-To: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
 (ejb@HIDDEN)
Subject: Re: bug#53207: 28.0.91;
 create-lockfiles nil breaks file change detection
References: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53207
Cc: 53207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 12 Jan 2022 09:30:07 -0500
> From: "Jay Berkenbilt" <ejb@HIDDEN>
> 
> Bottom line: in emacs 27.2, setting create-lockfiles to nil does not change the behavior. In emacs 28.0.91, it does. I also noticed this in 28.0.90 but hadn't had time to figure out how to reproduce it without my customizations.

You seem to assume that create-lockfiles is _only_ about the creation
of the lockfiles.  But that's not true: the variable is a misnomer,
and it actually controls the entire functionality of preventing
editing collisions.  Including the test for the file being modified
behind Emacs's back.  The doc string says:

  Non-nil means use lockfiles to avoid editing collisions.

> Is this change intentional? If so, can I configure something to go
> back to the old behavior?

My suggestion is to stop setting create-lockfiles to a nil value.  Why
is the non-nil value a problem?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jan 2022 14:30:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 09:30:51 2022
Received: from localhost ([127.0.0.1]:56533 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7eeI-0008LQ-SM
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 09:30:51 -0500
Received: from lists.gnu.org ([209.51.188.17]:55360)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ejb@HIDDEN>) id 1n7eeG-0008LE-DE
 for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 09:30:49 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39580)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ejb@HIDDEN>) id 1n7eeE-0001AZ-7v
 for bug-gnu-emacs@HIDDEN; Wed, 12 Jan 2022 09:30:48 -0500
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:60799)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ejb@HIDDEN>) id 1n7eeB-0000Dn-9b
 for bug-gnu-emacs@HIDDEN; Wed, 12 Jan 2022 09:30:45 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.west.internal (Postfix) with ESMTP id 8D65E3201464
 for <bug-gnu-emacs@HIDDEN>; Wed, 12 Jan 2022 09:30:39 -0500 (EST)
Received: from imap49 ([10.202.2.99])
 by compute1.internal (MEProxy); Wed, 12 Jan 2022 09:30:39 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ql.org; h=
 mime-version:message-id:date:from:to:subject:content-type; s=
 fm3; bh=iMGg+6ILkAajrXDbIPywO2Tyj5LbbIfQywUcP57SumE=; b=dar8Htqq
 WaGmykHGiVRMljNa8r6ZImKEhHFNfuhx82DLPQP8C+ka93uPCFItZQBVicPdFX4O
 XoFTZuDfiwSC5TfxcgWI0nWs5BTjlS6bAPwJPaUCsg90230SElcygbK2eOjV3qts
 FilxFsYYlAUhfTt4Ka+1KuRD5C2SRSi6fWtxhqz0Hwmd6wP2tp5w6wqFejiI/FXt
 oWShJFEfhA0GTf62q88nyExxbanvs5cO1SN5hV8uMT0DkDyR7PyQqU4H7XaEUZjZ
 nXiNWAGh5YNNXyF4aXRYwh2aCCr4632sNv2FIWREu5yA/nlIoaosZTXoDFD9Pqp+
 lEfRFshhXWuC4Q==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm1; bh=iMGg+6ILkAajrXDbIPywO2Tyj5Lbb
 IfQywUcP57SumE=; b=ivHM3/nvhsr78job3NGhKkpEIsvC03kA0ecf1GHiRIosr
 0C315dAvb73UNorkr4ojDRo76C/CRFu/S89EjIziAdZPpEi6kxTUL7rVKUfRbb+L
 GzTKB/Pcyy4tsiLu7sv6MNWGc9EJU+wumcfDmDT/wQoBwYKLSnC74IaE4UdIr4d5
 J4P/E5efXNCPSr2kqrP4paipBGPUdOByBz0nripDC4rEpVenFPbX2PqIIeVchjBu
 F2kWUgTvmNcBpGBE9g5ZEFXgBjIz9WWSL3DjXG/xIsrvprkHSS58CtKNMy1xQulf
 JtemA01yEmy+IhGBg1y+bzQ16Gt14ChkMthCcCVHg==
X-ME-Sender: <xms:DubeYRp0cBN-08QVS7RZzGpZInORtmAXaz5SUP9PMmQe85zYLWTWvw>
 <xme:DubeYTrnHiubXVLkN1rE-fiLFJ6-39_npSmwjm90Kvl8aD_CIgcOgBQhvGT10fja3
 32VvSmVdAIq9nCFi5g>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvvddrtddugdegtdcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecunecujfgurhepofgfggfkfffhvffutgesthdtredtre
 ertdenucfhrhhomhepfdflrgihuceuvghrkhgvnhgsihhlthdfuceovghjsgesqhhlrdho
 rhhgqeenucggtffrrghtthgvrhhnpeekhffhleelkeeigfetleduhfelteekffdvhfegje
 duieeigeevheevueejfeejteenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhep
 mhgrihhlfhhrohhmpegvjhgssehqlhdrohhrgh
X-ME-Proxy: <xmx:DubeYePnvoxdrzGn6X1mDI1ThamI-4qhKjdMsxL1Y6yHPfMi7UTFaQ>
 <xmx:DubeYc4ZxlUtQVUTvoAQuMTLQxBJ3yFrsw-PwLASQnziFv_w5Qrw9Q>
 <xmx:DubeYQ7VsyoLQHaBvR5nKon2MCCX5AcYbEdc0pA_3MxAl27v05Bqmg>
 <xmx:D-beYSGIrdOUTC-woDLsp-Slayf2RdNsN33vKmuDHLN6OaCIAJKWTQ>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id BBA91F6007E; Wed, 12 Jan 2022 09:30:38 -0500 (EST)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-4569-g891f756243-fm-20220111.001-g891f7562
Mime-Version: 1.0
Message-Id: <509ddd0f-589c-45b0-9b60-5820f4c1d716@HIDDEN>
Date: Wed, 12 Jan 2022 09:30:07 -0500
From: "Jay Berkenbilt" <ejb@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.91; create-lockfiles nil breaks file change detection
Content-Type: text/plain
Received-SPF: pass client-ip=64.147.123.19; envelope-from=ejb@HIDDEN;
 helo=wout3-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

 X-Debbugs-CC: ejb@HIDDEN

This bug is reproducible with emacs -Q.

emacs 28.0.91 and emacs-27.2, with -Q, behave identically and correctly in the following scenario:

* outside of emacs: rm /tmp/a; echo one > /tmp/a
* In a fresh emacs -Q, C-x C-f /tmp/a
* outside of emacs: touch /tmp/a
* In /tmp/a in emacs, it is possible to edit the file freely and save, which is correct since the contents have not changed
* In /tmp/a in emacs, save any changes
* outside of emacs: echo test >> /tmp/a
* In /tmp/a in emacs: try editing and get an immediate prompt that the file has changed.

With emacs 27.2, (setq create-lockfiles nil) does not change the above behavior.

With emacs 28.0.91, (setq create-lockfiles nil) results in the following changes in behavior:

* outside of emacs: rm /tmp/a; echo one > /tmp/a
* In a fresh emacs -Q, C-x C-f /tmp/a
* outside of emacs: touch /tmp/a
* In /tmp/a in emacs, it is possible to edit the file freely, but **SAVING THE FILE RESULTS IN A PROMPT** (a has changed since visited or saved...) even though the *contents* of the file have not changed (only its modification time)
  * Say no to the prompt and M-x revert-buffer, accepting the prompt to revert the modified buffer
* outside of emacs: echo test >> /tmp/a
* In /tmp/a in emacs: try editing. **NO PROMPT IS GIVEN; EDITING CAN BE DONE FREELY**
* Try to save the file. Get the "a has changed since visited or saved" prompt at this time

Bottom line: in emacs 27.2, setting create-lockfiles to nil does not change the behavior. In emacs 28.0.91, it does. I also noticed this in 28.0.90 but hadn't had time to figure out how to reproduce it without my customizations.

I saw 'lock-file-name-transforms' in NEWS. I disable create-lockfiles because I never run emacs on a multi-user system with my default settings, and the dangling symlinks confuse too many systems. It may be that, if emacs-major-version is >= 28, I can use lock-file-name-transforms to cause lock files to save in a separate directory, but I find that I don't need lockfiles at all with the default behavior of emacs 27 and 28 regarding change detection, at least my on Ubuntu platform. 

Is this change intentional? If so, can I configure something to go back to the old behavior? It seems like a bug to me -- I don't see why create-lockfiles should have anything to do with this behavior, and it did not in 27.2. I've been running gnu emacs since version 18 in 1987 and have seen the evolution of lock files over time. I was euphoric when emacs started being able to notice when an update to a file's modification time didn't change its contents. It makes it so much easier to do things like git rebase, which I do many times a day. Thanks.

The text below came from M-x report-emacs-bug on emacs-28.0.91 -Q

In GNU Emacs 28.0.91 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.20, cairo version 1.16.0)
of 2022-01-12 built on jblin
Windowing system distributor 'The X.Org Foundation', version 11.0.12013000
System Description: Ubuntu 20.04.3 LTS

Configured using:
'configure --prefix=/usr/local/emacs-28.0.91'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS
X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg rfc6068 epg-config gnus-util rmail
rmail-loaddefs auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json map text-property-search time-date
subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
cairo move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 51426 5400)
(symbols 48 6608 1)
(strings 32 18372 1964)
(string-bytes 1 610917)
(vectors 16 14475)
(vector-slots 8 191331 9434)
(floats 8 21 35)
(intervals 56 200 0)
(buffers 992 10))




Acknowledgement sent to "Jay Berkenbilt" <ejb@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#53207; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 15 Jan 2022 09:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.